MD1 Digitizers Soft Front Panel Help

You are here: MD1 Digitizers Soft Front Panel Help

Agilent Technologies

MD1 Digitizers

Soft Front Panel Help

Introduction

This help document is intended to provide information on the range of Digitizer products which are supported by the Agilent Technologies MD1 driver, and includes the following sections:

Soft Front Panel

The AgMD1 Soft Front Panel (SFP Collapsed Soft Front Panel) is a graphical
interface that helps you with the following tasks:

• Check the connection to the module

• Check module status

• Conduct a self test or self calibration

• Perform measurements or functional verification

© Agilent Technologies, Inc. 2010-2014 | Help version: 08 January 2014
Part No: M9202-90002 | MD1 Release 1.13 Jan 2014

Audience

Conventions


Audience

This guide assumes you are familiar with the operation of a personal computer (PC) running a Windows XP/Vista/7 (32/64) or other supported operating system.

In addition you ought to be familiar with the fundamentals of the programming environment that you will be using to control your Agilent Digitizer product. It also assumes you have a basic understanding of the principles of data acquisition using, a waveform digitizer, a digital oscilloscope, or other similar instrument. The User Guide section may be of help on this subject.


Conventions

The following conventions are used in this help file:

'Italic' text denotes a reference to a quoted name or entity. e.g."Press the 'Run' button."

Bold Italic text is used to emphasize an important action point in the text. e.g. "Open the View menu and select the All option."

mono text is used for sections of code, programming examples and operating system commands. e.g. "Type the command >> Run -all"

Underlined Italic text denotes paths or filenames. e.g. "The file is located in the folder ..\Agilent\MD1\.."

Denotes a warning, which advises you of precautions to take to avoid being electrically shocked.

This is a caution statement test. Had this been a real caution statement, then you would have been better advised of the potential threats to you and your equipment.

This is a note, drawing the reader's attention to important information, caveats, etc.


Getting Started

You are here: Soft Front Panel (SFP) Overview

SFP Overview

MD1 SFP Collapsed Soft Front Panel is an application which is intended to verify the functionality of the card and to serve as an easy to use and convenient program for capturing, displaying, and archiving captured data.

This program uses the AgMD1 and other associated drivers to control any supported digitizers. It is installed at the same time as those drivers.

SFP Versions

There are currently two versions of the SFP application.

The SFP 1.x version is gradually being phased out by the introduction of the SFP version 5. However at this point in time the SFP 5 application does not fully support all products, modes of operation or features that are supported by the SFP 1.x, and so the user must decide which SFP to use depending on their application.

SFP 5.x

This newer version of the SFP application supports all products which are covered by the MD1 driver. New features, and replication of features which currently exist in the older SFP 1.x will be introduced progressively into the 5.x version.

This version supports:

  • All Agilent U10xx (8, 10 & 12-bit Digitizers, Time to Digital Converters and Averagers).
  • All Agilent Mxxxx series Digitizers. (Except M9202A in DDC mode)
  • DGS, DGT, SAR Collapsed Simultaneous multibuffer Acquisition and Readout - A function which permits simultaneous data acquisition and read out./SSR Collapsed Sustained Sequential Readout - a method of implementing faster acquisition and readout operation by the use of a buffer memory. Also incorporating a zero-suppression function., Peak TDC and AVG modes of operation.

SFP 1.x

This application which was previously known as 'AcqirisLive' contains some features which have not yet been implemented in the SFP 5 application. Users who prefer this application or wish to use one of the features below may continue to do so.

This version is required currently if you wish to use any of the following instruments, or features:

  • Using M9202A in DDC mode.
  • Using multiple modules at the same time.


SFP Overview

You are here: SFP Overview

SFP version 1.x

Contents

Getting Started with the SFP

Control Panel and Functions

Command Line Switches

Keyboard Shortcuts

SFP 1.x Tour

Menu Bar

File

View

Configure

Utilities

Tools

Window

Help

Extended Modes

Averager Mode

DDC Mode


SFP Getting Started

You are here: MD1 SFP 1.x > Getting Started with the SFP

Getting Started with the SFP 1.x

Once the software and hardware installation described in the Startup Guide is complete, you will find the MD1 SFP Collapsed Soft Front Panel under All Programs / Agilent / MD1 in the start menu of your computer.

Start The MD1 SFP from the menu. An initial MD1 SFP load screen will appear followed by a panel of controls and a waveform display window. During startup, MD1 SFP searches for all supported digitizers on the PCI bus. If no digitizers are found on the PCI bus, MD1 SFP will display an error message indicating that no digitizers were found, and the program will continue in simulation mode. If this is not wanted, turn off the computer, install and turn ON the hardware on the PCI bus and, then, restart the computer.

MD1 SFP is intended to verify the functionality of the card and to serve as an easy to use and convenient program for capturing, displaying, and archiving captured data into the format of your choice, binary or ASCII.

Agilent supply IVI-COM, IVI-C, and LabVIEW G VI drivers on the CDROM. This combination allows you to develop applications in Visual Studio, MATLAB, LabVIEW, LabWindows, and other programming environments.

When you start MD1 SFP a display like that shown below appears.

The MD1 SFP displays two independent windows, a control window and a display window. The control window contains functions that allow you to manipulate the acquisition parameters of the card. In order to display an acquired waveform, connect a signal to the input, and then select the Auto acquisition mode at the bottom of the control panel. A waveform should appear in the display.

Other controls in the control panel allow you to select the optimal acquisition settings for your particular signal. Each of the other control panel functions will be discussed in detail in the following Control Panel Functions section. Here is a sample result.


SFP Control Panel

You are here: MD1 SFP 1.x > Control Panel and Functions

SFP 1.x : Control Panel and Functions

Control Panel Mode

In MD1 SFP Collapsed Soft Front Panel there are two control panel modes available, Oscilloscope Mode and Transient Recorder Mode. The choice of mode is entirely determined by the preference of the user.

DSO TR

Both modes provide the same set of functional capabilities but display the settings slightly differently. For example in Transient Recorder Mode, the user selects the Full Scale Range of the amplifier whereas in Oscilloscope Mode the user selects the input voltage scale set in Volts/Div. The desired mode is selected using one of the two buttons shown at the top of the control panel. The distinction between the control panels for the two operating modes can be seen in the images below.

In both modes it is possible to set the memory depth and the sample speed independently within the limits of the maximum available memory. However the two modes differ in the following way.

In Oscilloscope Mode, the user selects the time window (time per div) and the sampling rate will be adjusted to the fastest possible within the limits of the available memory. The maximum available memory is programmable.

In Transient Recorder Mode, the user selects the capture time window, the sampling rate, or the number of samples. When selecting the capture time window, the number of samples is adapted, keeping the current sampling rate and number of segments, up to the maximum available memory on the card. When selecting the sampling rate, the number of samples is adapted, keeping the current capture time window and number of segments, up to the maximum available memory on the card. When selecting the number of samples, the capture time window is adapted, keeping the current sampling rate and number of segments.

Displaying Multiple Traces

If multi-channel modules, or several single channel modules, are installed on the PCI bus, multiple waveform displays, one from each installed channel, are overlaid on the display.

The current channel is selected by clicking on the channel name within the upper portion of the control panel. The vertical settings of the current channel and the timebase and trigger of the correspondent digitizer are then indicated. A unique name is given to each channel installed on the PCI bus. The current channel is indicated by a dark highlight over the name. Settings changed on the main control panel will only affect the active channel. Always verify proper acquisition setting for each channel prior to collecting data.

There is a small rectangular indicator button to the left of each channel name in the channel list. If this indicator is filled in, the channel waveform is active; the channel is turned on and displayed in the display window. Clicking on this indicator once turns it transparent. This deactivates the reading of the data from the channel and clears the waveform display. Clicking once again on the indicator turns the channel back on and the indicator is filled in. After making such changes the channel data will not be displayed until after the next acquisition.

The image at the left shows a channel list with four active channels in the system. All are turned on and displayed in the display window as indicated by the orange indicators at the left. The DC271 Ch1 is the currently selected channel.Increment or decrement any digit with the arrow buttons by pressing the increment or decrement button. When the button is held down, the digit will continue to increment or decrement automatically.

The channel list image on the right shows the same system with the DC271 Ch2 selected as the current channel. The other indicators are transparent and therefore their channels are turned off and not displayed.

As an alternative to controlling the channels to be displayed from the control panel you can also control them by selecting the desired channels from the list of channel gains shown at the right hand side of the display window.

Pressing the Finder button at the top of the control panel will identify the module associated with the current channel. When the finder button is depressed, the LED on the front panel lights up yellow on the digitizer module with the current channel

Numeric Editor

The numeric editor is shown in the control window at locations where numeric values are set. The Numeric Editor enables easy input of numeric values, particularly those ranging over many decades. The numeric value can be changed in multiple ways.

A number can be typed directly into the white number display area or alternatively, the Numeric Editor may be used. In order to use the Numeric Editor, click on the green numeric editor icon at the left of the number display. A numeric editor control will appear as shown.

The methods to change the values are:

  1. Increment or decrement any digit with the arrow buttons by pressing the increment or decrement button. When the button is held down, the digit will continue to increment or decrement automatically.
  2. Click on a digit and drag the mouse up or down to increase or decrease the value.
  3. Type a new value with the keyboard for any highlighted digit.

The value is constrained to fall within its allowed range whenever the user attempts to enter a larger or smaller value. Digits that are below the resolution or granularity cannot be modified. A message is displayed in the numeric setting control window when the pointer is positioned over a digit that is below the allowed granularity and cannot be changed.

Keyboard shortcuts

Two shortcuts have been defined to simplify applying changes of a parameter to a group of channels. When the mouse is over the control of a channel parameter -

  • 'S' can be used to set the current value to all channels of all available instruments
  • 'C' can be used to set the current value to all channels of the current instrument.

Other shortcuts are:

  • 'Ctrl-S' as a synonym for 'Save Setup'
  • 'Ctrl-R' as a synonym for 'Recall Setup'
  • 'Ctrl-C' as a synonym for Calibrate all (active) instruments'
  • 'Ctrl-E' functions as a toggle between 'Internal Clock' and 'External Clock' operation.

Input Voltage Scale, Offset and Coupling

Settings for input voltage scale, offset, coupling and impedance are available in the portion of the control panel shown to the right. The selected channel is shown on the upper section of the display. Only this channel will be affected by changes in any settings on the control panel. The input voltage scale is set by [image] one of three possible methods:

  1. Clicking on the white numeric display of the voltage scale will show a pop-up list. Select the desired gain setting with the mouse pointer.
  2. Clicking on the Decrement / Increment icons will step the voltage scale up or down to the next level for each click of the mouse.
  3. Clicking Max / Min will toggle to the least sensitive gain setting or to the most sensitive gain setting.

The input Coupling can be set for AC or DC. The selected setting is shown as an actuated indicator with a green backlight. AC coupling blocks DC signal components from the input. For,

  • 8-bit FAMILY modules, the AC coupling mode acts as a high pass filter passing frequencies above 10 Hz. In DC coupling all frequency components are passed through the input.
  • the DC440 and the DP310, the AC coupling setting is used to choose the Direct HF Input SMA Connector. In DC coupling the Standard Input BNC is in use and all frequency components are passed through the input.

The input voltage offset control applies an offset to the input amplifier in order to better digitize and display signals offset away from 0 volts. Signals riding on a DC level can be most accurately characterized when the offset is adjusted so that the acquisitions are made about the midpoint of the digitizer’s Full Scale Range, and when as much of the 8-, 10-, or 12-bit ADC Collapsed Analog to Digital Converter range is used as possible. The ability to select an offset voltage enables accurate measurement when offsets are present in the signal.

The Impedance selection allows the user to choose the appropriate internal input termination of 50 Ω or 1 MΩ as applicable.

The Adv button in this section gives access to the choice of hardware bandwidth limits for the channel.

Trigger

Trigger characteristics are set using the settings in the control panel Trigger section. The trigger source setting can be either Internal (trigger on any one of the input channels) or External (trigger on an external input). The trigger source is indicated in the display by the name appearing under Source.

In order to select the trigger source, click the drop-down source menu in the trigger Sourcesection of the control panel and choose the desired one.

Notice that, for most digitizer models, when external trigger is selected, the controls for the trigger termination, 50 Ω or 1 MΩ, are enabled in the Coupling section. Select the desired termination for the external trigger.

The Coupling section also contains a selection for AC or DC coupling. AC coupling on the trigger sets the trigger circuit to an AC Low Frequency Reject mode.

Use the Level section to set the desired trigger level. The relationship between coupling, trigger source, and trigger level was discussed in section . The 10-bit FAMILY, the DC271-FAMILY and the channels of the U1071A-FAMILY digitizers have two adjustable trigger levels associated with the range of the window trigger.

The trigger Delay setting positions the acquisition with respect to the trigger. Pre-trigger values are negative and are selectable in the range of [0 to – (10 * timebase)]. The value (10 * timebase) is equivalent to the time window or capture-time. 100% pre-trigger is achieved by setting Delay to -capture time.

A 100% pre-trigger delay means the trigger point is at the right edge of the display and all of the data in the acquired waveform were captured just prior to the trigger event.

Maximum Post trigger delay settings depend on the sample interval used. Post trigger delays are adjustable up to 100 Mpoints or more.

When a Slope box is shown next to the delay section, selecting the trigger slope is achieved by depressing either the positive or negative slope buttons. The 10-bit FAMILY and DC271-FAMILY digitizers extend the functionality of the slope section to allow the choice of the window, HF divide, and Spike Stretcher trigger modes when the multiple mode slope button is selected. When the Window trigger is chosen buttons below it will allow the user to choose between trigger on entering or exiting the window trigger level range.

The Adv button in this section gives access to the choice of External Trigger range and Bandwidth Limiter for the 10-bit FAMILY and DC271-FAMILY digitizers. It also allows the user to set the offset of the Trigger Out signal.

Acquisition Mode

The acquisition mode of the digitizers is selected using one of four acquisition mode buttons in the Acquisition section of the control panel. Available acquisition modes are Auto, Normal, Single and Stop.

This Acquisition section of the control panel also indicates the number of waveforms acquired per second by the digitizer. The use of each of the acquisition modes is described below. In the discussion, a valid trigger indicates a trigger signal meeting the trigger conditions at a time when the digitizer is armed and ready to acquire data. In Single and Normal modes the display will only be updated after each active digitizer has received a trigger.

Stop will stop the acquisition and hold the latest complete acquisition on the display.

Single mode is used in order to capture one event at the first valid trigger. It freezes the acquisition in the digitizer’s memory, and on the display, until the user requests another acquisition. After an acquisition is taken in Single mode, the digitizer will ignore subsequent trigger events until the Single button is pressed again or another acquisition mode is selected. Pressing the single button re-arms the trigger and captures one acquisition at the next valid trigger.

Normal mode is used to continuously acquire waveforms into memory for valid trigger events. The display is updated with the new acquisitions in accordance with the Display Refresh Rate setting under the Options menu on the top line of the MD1 SFP Control window. Acquisitions will happen for each valid trigger until either single or Stop is pressed.

If the trigger indicator at the lower left of the waveform display does not blink green, the digitizer is not receiving valid triggers. Check the trigger settings or select Auto mode in order to obtain a display of the waveform.

Auto mode will acquire and display waveforms according to the trigger settings if a valid trigger is present within a timeout interval. If a valid trigger is not available within this interval, the digitizer generates its own trigger in order to digitize and display whatever signal is at the input at that time.

If valid triggers are received at a high enough rate, Auto mode behavior differs little from normal mode behavior on the display. However if the trigger rate is too low or trigger settings are not appropriate for the characteristics of the signal, the input signal will not be stable on the display. This occurs because the internal auto-trigger generated by the digitizer is asynchronous to the input signal.

Auto mode is often used to aid in setup when the input signal must be quickly characterized in order to determine proper trigger settings for Normal or Single mode acquisitions.

Timebase and Memory

The timebase and memory settings should be chosen together in order to optimize the desired sample rate for the acquisition.

In Oscilloscope Mode the timebase settings range from 0.5 ns/div to 5 S/div. In Transient Recorder Mode time windows of 100 ns to 20 Ks are available when using a card with the 2 Mpoint memory option.

In order to change the timebase click on the white area in the timebase display window and select the desired timebase from the list. Alternatively, the Decrement / Increment timebase selection buttons may be used in order to change the timebase in steps with each click of the mouse. The sample rate and sample interval resulting from the combination of memory and timebase are indicated under the Sampling section of the control panel.

The Memory setting shows the maximum number of points to be acquired. The actual number of points acquired could be less than the maximum number set if the acquisition time window selected fills less than the selected amount of memory at the full sample rate. Alternatively, in Oscilloscope Mode, if a slower timebase is selected, in order to ensure that the selected amount of memory will be filled before the acquisition is complete, the digitizer will reduce its sample rate as necessary. This action differs from the same case in Transient Recorder Mode where preference is given to the selected sample interval.

In Transient Recorder Mode, the digitizer will continue to allocate more memory with increasing capture times. This is done in order to maintain the selected sample interval for as long a time window as is possible given the available memory. When the card memory is fully utilized, the sample rate will decrease with increasing capture times.

Using digitizers of different models simultaneously

MD1 SFP features a single timebase (i.e. the set of acquisition parameters pertaining to the time axis of the waveform, such as the sampling rate and the number of samples). It is therefore not possible to specify different timebase settings for different digitizers. However, it is possible to run each digitizer at its maximum available sampling rate performance in the following way:

  • Select the Oscilloscope Mode.
  • In the channels list, select a channel from the fastest digitizer (that will make that digitizer the current digitizer).
  • Make sure the maximum number of samples (MAX samples in Memory panel) is large enough.
  • Select the desired time per division setting (timebase panel): the fastest sampling rate for the current digitizer, compatible with the maximum number of samples, will be selected and applied to all digitizers in the system. Any digitizer not capable to satisfy that sampling rate will run at its closest setting.

Finally, note that the sampling rate menu (visible in Transient Recorder Mode) contains the sampling rate capability of all digitizers currently in use. You must turn off the channels of 'slower' digitizers in order to view the highest sampling rates of the 'faster' digitizers.

Segmented Memory

Segmented memory enables the sequential acquisition mode. This feature is particularly useful when capturing impulse-response type waveforms in a variety of applications. Segmented memory is available in all acquisition modes. However, it is generally used in either Normal or Single mode. Waveform display occurs only after all segments are filled. Segments can be displayed sequentially on the display or they can be overlaid on top of each other. To select an overlaid display, select the item Overlay Segments under the Options menu. Segmented data can be archived to any storage device on the computer in a similar way to non-segmented acquisitions. If the acquisition needs to be stopped before all segments are filled, press the Stop button.

In order to set up the sequential acquisition mode, simply select more than 1 segment on the segment selection control under the Memory section of the control window and start the acquisition.

Display Features, Zoom and Persistence

A waveform zoom window is permanently present below the main display.

The zoom scale and center position are modified using the horizontal and vertical controls shown on the zoom display window. To the right side of the zoom window click on the “Horizontal” button, then modify the zoom expansion factor by clicking the “In” or “Out” buttons.

The vertical blue cursor, or box, (depending on the zoom factor), shown on the main display window indicates the center point and range of the zoom. The vertical box or line can be dragged right or left with the mouse in order to re-position the center point of the waveform displayed in the zoom display window. Alternatively, the right and left arrows at the bottom of the zoom display window will reposition the horizontal center of the zoom.

In order to expand the zoom region vertically, select the “Vertical” button on the zoom display and click the “In” / “Out” buttons. Alternatively, the up / down arrows on the scale indicator just below the vertical button can be used. When the vertical scale is expanded, the top and bottom lines forming the blue box in the main display window show the extent of the vertical zoom region. The vertical position of the box, and thus the data region shown on the zoom display, may be changed by moving the box vertically with the mouse or by clicking on the up and down arrows at the left of the zoom display window.

When expanding a waveform to the point where individual data points are seen, it may be desirable to use the “Connect data points” option under the View menu in MD1 SFP. When this option is selected, larger data points are drawn on the display and a line connects each point.

The Top line menu View option has a drop down selector that controls the display type for both the main display and the zoom window. There are five modes available in the first section and just one of them must be selected. They are

  • Live Display – each new acquisition is shown just after it is finished
  • Persistence Display – all points drawn to the display windows remain on while new points are added from subsequent acquisitions. This mode is particularly suited for examining the jitter on an edge of a periodic signal as shown in the image below.
  • Segments Average – each point shown represents the average value of the data at that time relative to the trigger as measured for each of the triggers in the sequence acquisition.
  • Infinite Average – each point shown represents the average value of the data at that time relative to the trigger as measured for each of the triggers.
  • Digital Filter – the raw data is filtered with a low-pass Bessel filter whose parameters can be defined in the Filter settings option of the Tools menu.

To clear the display in persistence display mode, press the “Clear” button that appears in the upper right hand corner of the main display window.


SFP Command Line Switches

You are here: MD1 SFP 1.x > Command Line Switches

SFP 1.x : Command Line Switches

When starting the MD1 SFP Collapsed Soft Front Panel application, the executable's name in the command line can be followed by one or more switches to change the running conditions.

Syntax

The syntax of the command line is the following:

path\AgMD1SFP.exe [-a][-b][-B][-c][-d][-h][-i][-l][-m][-n][-p][-s][t][-v][-x]

Available Switches
Switch | Description
-a | Start in Averager mode
-b | Buffer size for large waveforms
-B | Number of banks for SAR Collapsed Simultaneous multibuffer Acquisition and Readout - A function which permits simultaneous data acquisition and read out. mode
-c | No initial calibration
-d | Use DMA for data transfers (default)
-h | High priority process (default)
-i | Use acquisition interrupts
-l | Low priority process
-m | Medium priority process
-n | No DMA for data transfers
-p | Use acquisition polling
-r | Start in Transient Recorder (digitizer) mode
-s | Simulation mode
-t | Temperature update off
-v | Show acquisition state
-x | Disable automatic multi-instruments

Operation Mode [-a]

Acqiris averagers can be operated in Averager Mode or in standard Digitizer Mode.

MD1 SFP operates in either mode, but since these are mutually exclusive, only instruments that support the chosen mode are accessible in any given mode. E.g. only averagers are accessible in Averager Mode, while both digitizers and averagers are accessible in Digitizer Mode.

The operation mode can be switched within the application. By default, MD1 SFP starts in Digitizer Mode.

Buffer size [-b]

Upon startup of the application, the available physical memory on the computer is checked. The total data buffer size is then limited to the available memory minus 10% of the total memory. It is also possible to limit the total data buffer size to a fixed value with the -bn option (where n is the limit in MB, e.g. -b200 will limit the buffer to 200 MB). The data buffer is then shared among the active channels.

When the total acquisition memory (sum over all active channels) exceeds the data buffer size limit, readout of the data will be partial. The special operation modes such as Segments Average, Average, Digital Filter and FFT are not supported with partial data readout.

Partial readout is controlled with the Very Long Memory panel (menu Options ->Very Long Memory...). The first segment and the first sample to read out can be specified. Note that if the buffer is large enough for at least 1 full segment, only full segments will be read (i.e. first sample control is ignored).

When saving data to file, you will be prompted for a maximum number of segments per file.

Banks for SAR [-B]

The U1071A-FAMILY and some of the 10-bit FAMILY modules are capable of acquiring data and being read out simultaneously. The -Bn option allows the internal memory of the digitizer to be divided into n banks. To observe the improved acquisition trigger rate achievable in this mode it is suggested to set up the desired conditions and then turn the event display off. The trigger out signal can be used to monitor the trigger rate; an interval width trigger can be used to check if triggers are missing.

Calibration [-c]

Before operation, the instruments must undergo an internal calibration. As this calibration can only proceed sequentially for each channel, the initialization time of MD1 SFP can become significant for systems with many channels. Therefore, it can sometimes be desirable to be able to start the application quickly by skipping the calibration (which must then be done "manually" before collecting correct data).

DMA Data Transfers [-d] [-n]

By default, data transfers on the PCI bus between the digitizer memory and the PC are done in DMA (Direct Memory Access) mode, which allows the fastest transfer speeds (up to about 130 MB/s peak, 100 MB/s sustained acquisition data rate). These very high data rates are not well supported by all hardware configurations (PC motherboard), and system hangs due to endless retries on the PCI bus have been observed on some machines. Such problems disappear when switching DMA mode off (data transfer rate is then about 2.8 MB/s).

Please note that switching DMA data transfer mode off precludes the use of acquisition interrupts. The –i switch will therefore be ignored when –n is used.

Process Priority [-h] [-m] [-l]

When the program checks for an event from the operating system (e.g. to react to user input), it can put itself to sleep for a specified period of time. This gives other applications more processor time, but limits the performance of MD1 SFP in terms of maximum acquisition rate. The default is not to go to sleep, but this can be overridden to allow better performance for other applications. Note that this sleep policy is only in effect while the acquisition is running. When the acquisition stops, the sleep policy is always reset to the longest sleep period.

Acquisition Interrupts [-i] [-p]

When performing acquisitions, there are 2 possible ways to wait for the acquisition to complete: polling or using a hardware interrupt.

  • -p Polling: MD1 SFP runs as a single thread process. After an acquisition is started, the instruments are regularly polled to check when the acquisition is complete. The user interface is still alive, but the latency for reading the data after the acquisition may vary.
  • -i Hardware interrupt: In this mode, MD1 SFP is run as a multi-thread process. After starting an acquisition, a new thread is created to wait for the hardware interrupt indicating that the acquisition completed. This thread is put to sleep and wakes up upon reception of the interrupt from the instrument, or after a 2 seconds timeout.

Please note that switching the DMA data transfer mode off precludes the use of acquisition interrupts. The –i switch will therefore be ignored when –n is used.

Transient Recorder mode [-r]

The application will start in the Transient Recorder mode as opposed to the oscilloscope mode

Simulation Mode [-s]

Simulation mode allows you to run MD1 SFP without having any digitizer installed in the PC.

Temperature Update [-t]

The internally measured temperature of the currently selected module is normally displayed. Using this switch turns this feature off.

Acquisition State [-v]

This switch turns on the display of the current acquisition state (Stopped, Ready, Started, Reading, Data ready). This is helpful when running with time-consuming settings (e.g. many segments overlaid, many channels, large records, etc.), but will slow down the overall performance.

Multi-instruments [-x]

By default, MD1 SFP tries to detect instruments connected through AS bus, and will initialize any connected digitizers as a multi-instrument. This behavior can be inhibited by the -x switch, in which case any AS bus connector will be ignored.


SFP 1.x : Keyboard Shortcuts

A number of keyboard shortcuts are available in the SFP Collapsed Soft Front Panel application.

These are:

Operation mode
Shortcut | Action
F7 | Select Class - DDC Digitizers
F9 | Select Class - Digitizers
F10 | Select Class - Averagers
Actions
Shortcut | Action | Usage
c or C | Apply to all channels of the Current instrument | Hover the cursor over a channel control and press < c >, the operation will be applied to all channels of the current instrument.
s or S | Apply to all channels | Hover the cursor over a channel control and press < c >, the operation will be applied to all channels.
F5 | Re-read | Re-reads the acquired data from all instruments.
Ctrl - A | Enable All channels | Enables all channels for display
Ctrl - X | Toggle current channel | Toggles the display state of the currently selected channel
Ctrl - Z | Disable all channels | Disables all channels (nothing will be displayed)
Ctrl - C | Calibrate Instruments | (see Calibration)
Ctrl - F | Calibrate Fast | (see Calibration)
Ctrl - E | External clock | Switches to External Clock operation, and displays the required controls.
Ctrl - M | Reset acquisition counters | Resets the counter showing the number of samples acquired in the status window.
Ctrl - T | Generate software Trigger | Generates a manual trigger when in Normal or Single Acquisition modes.
Load / Save
Shortcut | Action
Ctrl - S | Save waveform
Ctrl - Shift - L | Load configuration
Ctrl - Shift - S | Save configuration
Display
Shortcut | Action
h or H | Hide the splash screen
Ctrl - Shift - F | Select Frequency view
Ctrl - Shift - T | Show Time + Frequency view
Ctrl - Shift - Z | Show Time + Zoom view


SFP Tour

You are here: MD1 SFP 1.x > SFP Tour

SFP 1.x Tour

Introduction to the UI functions.

Menu Bar

File

Load and Save Configuration

Store Waveform

Select Class

View

Configure

Combine Channels

External 10 MHz Reference & External Clock

Very Long Memory

DDC Settings

Utilities

Calibrate

Suspend / Resume

Tools

Autostore

Autostore Very Long Memory

Data Format Conversion

Filter Settings

Window

Show Segment Timestamps

Show Parameters

Compute FFT & FFT Settings

Help

Instrument Information

Driver Version

Kernel Driver Version

CC121 Chassis Check

About AgMD1SFP


SFP Menu Bar

You are here: MD1 SFP 1.x > SFP 1.x Tour > Menu Bar

SFP 1.x : Menu Bar

The top line menu contains functions offering additional utility to the MD1 SFP Collapsed Soft Front Panel application.

Provisions are included for storing instrument setups, waveforms, converting the format of stored data files, identifying models and versions and in the Options Menu, calibrating the digitizer, extended control of event acquisition and controlling the display properties.

These possibilities are discussed in the next few sections.


SFP 1.x : File Menu

The file menu contains the following options:

Load and Save Configuration

Store Waveform

Select Class


SFP Menu Load & Save

You are here: MD1 SFP 1.x > SFP 1.x Tour > File > Load and Save Configuration

Load and Save Configuration

The File menu allows you to Save and Load instrument configurations.

When you store a configuration, the parameters used to configure each of the channels of each module together with the time base and trigger configurations will be saved in a file.

You will be asked to choose the destination directory for the file and be allowed to give it an appropriate name.

When you choose to recover a file you will be asked to give the name or navigate to it using the browser functionality.

If you are using many modules the settings in the configuration file will be associated preferentially with the digitizer that has that serial number or then with the digitizer in the same location.

Configuration files have the extension: .AqConfig

Only the parameters of the modules are stored in the configuration file. This means that parameters of the MD1 SFP Collapsed Soft Front Panel program, such as channel activation and display mode choices are not included.


SFP Store Waveform

You are here: MD1 SFP 1.x > SFP 1.x Tour > File > Store Waveform

Store Waveform

The Store Waveform option of the File menu allows you to store the last acquired waveform for the current channel.

To store the last acquired waveform for each of the active channels, you must sequentially select each one to make it the current channel and use the Store Waveform menu command.

The title of the Store Waveform dialog indicates the name of the channel that will be stored. The data is stored in ASCII format, as Raw ADC Collapsed Analog to Digital Converter values or Amplitudes (in Volts).

Waveform files have the .awd Type.

A default folder and filename for stored waveforms is given in the Filename field. The folder is:

Application Data\Agilent\MD1\MD1SFP

and the filename, identifies the module and channel:

M9211A Ch1.awd


Select Class

The Select Class option of the file menu is used to select the operating mode of the instrument.

The available options are shown below. Note: It will only be possible to select a particular class if the instrument supports that function, otherwise the selection will be grey.

Upon selecting the class, the SFP Collapsed Soft Front Panel will adapt to display the controls & measurement window for that class.

  • Digitizers – This is the normal Digitizer class.
  • DDC Digitizers – This class is specific to digitizers which support a Digital Down Conversion mode.
  • Averagers – This class is specific to Averagers.


SFP View Menu

You are here: MD1 SFP 1.x > SFP 1.x Tour > View

SFP 1.x : View Menu

The Top line menu View option has a drop down selector that controls the display type for both the main display and the zoom window.

There are five modes available in the first section and just one of them must be selected. They are

  • Live Display – each new acquisition is shown just after it is finished
  • Persistence Display – all points drawn to the display windows remain on while new points are added from subsequent acquisitions. This mode is particularly suited for examining the jitter on an edge of a periodic signal as shown in the image below.
  • Segments Average – each point shown represents the average value of the data at that time relative to the trigger as measured for each of the triggers in the sequence acquisition.
  • Infinite Average – each point shown represents the average value of the data at that time relative to the trigger as measured for each of the triggers.
  • Digital Filter – the raw data is filtered with a low-pass Bessel filter whose parameters can be defined in the Filter settings option of the Tools menu.

The second section of the View drop down menu controls visual aspects. The possibilities are:

  • Display Waveforms – this can be deactivated if desired. This can allow the processor to acquire faster.
  • Overlay Segments – when selected this will cause the segments of a sequence acquisition to be displayed on top of each other with a common trigger point on the horizontal axis
  • Connect Data Points – when selected consecutive data points will be joined by straight lines

The third section allows you to control the following two options:

  • Display Refresh Rate – allows you to choose the update rate of the display
  • Temperature Update – when selected will update the temperature measured in the module and shown on the display window.


SFP 1.x : Configure Menu

The Configure Menu contains the following options:

Combine Channels

External 10 MHz Reference & External Clock

Very Long Memory

DDC Settings


SFP Combine Channels

You are here: MD1 SFP 1.x > SFP 1.x Tour > Configure > Combine Channels

Combine Channels

The Combine Channels function in the first section of the Configure menu gives the 10-bit Family is: DC135/DC140/DC241/DC241A/DC271/DC271A/DC271AR/DP235/DP240 10-bit Family and U1071A-Family user the control of how many converters will be used for each channel. This allows the memory size and the sampling rate to be increased in situations where not all of the input channels need to be acquired. Normally digitizer modules work with one converter/channel. If two or more converters/channel are desired, the identities of the channels to be used have to be chosen with the Active Channel control.


SFP External Reference & Clock

You are here: MD1 SFP 1.x > SFP 1.x Tour > Configure > External 10 MHz Reference & External Clock

External 10 MHz Reference & External Clock

Either one of the External 10 MHz Reference or External Clock options can be selected in the second section of the Configure Menu.

The External Clock function is available in MD1 SFP Collapsed Soft Front Panel only when using the control panel in Transient Recorder Mode. The input frequency should be keyed into the clock frequency selector (outlined in red) on the control panel. Then the appropriate sampling frequency must be selected in order for the proper time base to be displayed on the waveform display window. The time window displayed can be manipulated by allocating more or less memory to the acquisition.

The External 10 MHz Reference in MD1 SFP is designed to work either in Oscilloscope Mode or in Transient Recorder Mode. The time base and sample rate for waveform capture is fully selectable when using the external reference, just as it is when using the digitizer’s own internal reference clock.

The Ext Clk/Ref Threshhold option, available in the same section, must also be selected to set an appropriate signal threshold value. The 10 MHz Out CtrlIO A option in the last section of the Configure Menu activates this signal at the I/O A output.


SFP Very Long Memory

You are here: MD1 SFP 1.x > SFP 1.x Tour > Configure > Very Long Memory

Very Long Memory

Partial readout is controlled with the Very Long Memory option in the Configure menu. The first segment and the first sample to read out can be specified. Note that if the buffer is large enough for at least 1 full segment, only full segments will be read (i.e. first sample control is ignored).


DDC Settings

This option in the Configure menu opens the DDC configuration dialog as shown below:

The control options available are:

Dithering
  • Dithering Enable/Disable – Enables or disabled the dithering function, which improves linearity.
  • Dithering Range – Adjusts the range of the dithering applied.
Down Conversion
  • Data Bandwidth – Selects the bandwidth of the data.
  • Trigger Bandwidth – Selects the bandwidth of the trigger.
  • Frequency Shift – Controls the value of the frequency shift applied to the Down Conversion.
  • Flip Band – Enables or Disables the Flip Band function.

For further details and explanation of these functions please refer to the DDC section of this document.


SFP 1.x : Utilities Menu

The following options can be found in the Utilities Menu:

Calibrate

Suspend / Resume


SFP Calibrate

You are here: MD1 SFP 1.x > SFP 1.x Tour > Utilities > Calibrate

Calibrate

The Calibrate item in the Utilities menu leads to a sub-menu where a particular type of calibration can be invoked. In order to use this item the acquisition must be stopped; otherwise the Calibrate option is not selectable.

Calibration can usually be performed with signals present at the channel, external, and clock inputs. However, if the calibration is found to be unreliable, as shown by a calibration failure status, it may be necessary to remove such signals.

The options available are:

  • Calibrate instruments - to perform a self-calibration on the digitizers, calibrating the gain, offset, trigger level and the timing. Performing a calibration compensates for any drift in these properties, typically due to component temperature variations.
  • Calibrate current combine configuration – to perform a calibration only at the current configuration in each instrument.
  • Calibrate External Clock Timing – to do a calibration of the internal TDC in the Continuous External Clock mode.
  • Calibrate Fast – to only calibrate the currently chosen configuration

Calibration routines may take up to 1-2 minutes to complete.


Suspend and Resume Instruments

The Suspend and Resume functions allow each (or all) of the instruments to be placed in a suspended state.

The options shown in the menu will depend on the instruments detected by the SFP Collapsed Soft Front Panel, one entry will be shown for each detected instrument. In addition 'Suspend All' and 'Resume All' functions are included to perform the operation on all connected instruments.

  • Suspend <instrument> – Suspends the operation of the selected instrument
  • Resume <instrument> – Resumes the operation of the selected instrument.
  • Suspend All – Suspends the operation of all connected instruments.
  • Resume All – Resumes operation on all instruments which have been previously suspended.


SFP 1.x : Tools Menu

The Tools menu contains the following options:

Autostore

Autostore Very Long Memory

Data Format Conversion

Filter Settings


SFP Autostore

You are here: MD1 SFP 1.x > SFP 1.x Tour > Tools > Autostore

Autostore

The Autostore option of the Tools menu allows you to store consecutively acquired waveforms from all of the active channels into files. Autostore brings up the dialog box shown here. Three formats are available for stored waveforms, Binary, Raw ADC Collapsed Analog to Digital Converter values, and Amplitude values (in Volts). The destination folder can be selected or created on any system drive using the Browse button. It must exist before the Autostore dialog box is closed. Waveforms will be stored in a new folder under the destination folder. The new folder will be named:

AgMD1SFPRun_<year>-<month>-<day>T<hour>-<minute>-<second>

e.g.

AgMD1SFPRun_2010-11-01T15-01-01

Each waveform will be stored in a file with a name:

<channel name>_<i>.<suffix>

e.g.

Channel1_1.data

Where <i> is in the range 1 to N and <suffix> indicates the data type. If the data is stored in binary form, the suffix will be .data or .data16 and an additonal ASCII format .awhfile is written which contains necessary details about each of the other files. Otherwise, the suffix will .awdfor non-binary format.

The number of generations of waveforms to be stored with this function is selectable from 1 to N. N is a maximum number dependent on the number of samples taken in each waveform. There is also a user selectable limit on the total amount of data allowed in any single Autostore acquisition series.

When using segmented memory with Autostore, a waveform is considered to be a complete set of acquired segments. When storing Amplitudes, it is possible to write each segment as a separate column of data in the waveform file. This is achieved by clicking the check box option Segments as columns in the Autostore settings window. Formatting with segments in columns, in Amplitude format, is limited to 200 segments.

The Binary file format selection provides the fastest storage performance and generates the smallest files on the hard drive. Binary files can be subsequently converted to either Raw ADC values or to Amplitude values using the Data Format Conversion utility provided with MD1 SFP Collapsed Soft Front Panel.

Selecting the “Write files at end option” acquires all waveforms into memory first, before converting to the selected format and writing the data to disk. This option allows for faster data capture times. Selecting the “Show waveforms” allows the user to see the waveforms before writing them to disk.

When all parameters are selected, click OK, and then select Normal, Auto or Single acquisition mode. When the waveforms are recorded a progress bar will appear to show the status of the acquisition and of writing the data to disk. The Autostore function can be aborted from the progress bar.

Raw ADC values are the raw 8-bit or 16-bit ADC levels in ASCII format. The channel’s gain and offset are needed in order to obtain the signal level in Volts. The required information to convert the Raw ADC values to voltage is included in the header information of each Raw ADC ASCII file or in the .awh file accompanying the binary files. In order to convert the Raw ADC values into Volts the following formula should be used.

V = vGain * data – vOffset

The Amplitudes [V] selection stores the waveforms as voltage samples in ASCII format. This data has already been adjusted for gain and offset and can be directly read out as a voltage. However, it requires roughly twice as much space as Raw ADC value data.

For the sequential acquisition mode, the segment time stamps are also stored when waveforms are saved using the Autostore and Save Waveform functions.


SFP Autostore Long

You are here: MD1 SFP 1.x > SFP 1.x Tour > Tools > Autostore Very Long Memory

Autostore Very Long Memory

This mode is only available for use when the waveform to be stored requires more space than currently available in the MD1 SFP Collapsed Soft Front Panel waveform buffers.

Each waveform will generate 2 readable descriptive files (…_metadata.txt, …_timing.txt) and more than one binary data files (…aqData16 or …aqData8).

The size of the waveform buffer can be controlled with the -b command line option. The first segment and the first sample to read out can be specified.

Note that if the buffer is large enough for at least 1 full segment, only full segments will be read (i.e. first sample control is ignored). When saving data to file, you will be prompted for a maximum number of segments per file.


SFP Data Format Conversion

You are here: MD1 SFP 1.x > SFP 1.x Tour > Tools > Data Format Conversion

Data Format Conversion

Data stored in binary format with Autostore must be converted before it can be imported into a data processing package or a spreadsheet (e.g. Excel). The Data Format Conversion option is found under the Tools menu. Select Data Format Conversion in order to bring up the following window. The acquisition must be stopped in order to access this menu.

To convert the binary data, simply select the source folder where the data is located, select the output format and click OK.

All binary data files found in the source directory will be converted to the desired format. If you are writing amplitudes with multiple segments, formatting with segments in columns is limited to 200 segments.


SFP Filter Settings

You are here: MD1 SFP 1.x > SFP 1.x Tour > Tools > Filter Settings

Filter Settings

This option modifies the definition of the filtering to be applied on a waveform viewed in the Digital Filter mode. The order and cut-off frequency of a low-pass Bessel filter can be chosen.


SFP 1.x : Window Menu

The SFP Collapsed Soft Front Panel Window Menu contains the following options:

There are three display modes available for the acquired data:

  • Time + Zoom View- This mode shows the full acquisition in time domain in the upper window, and a zoomed time domain display in the lower window. This zoom area may be selected by using the cursors in the upper window.

  • Time + Frequency View - This mode shows the full acquisition in time domain in the upper window, and the frequency domain (FFT) display in the lower window.

  • Frequency View - This mode shows only the frequency domain (FFT) display window.

Show Segment Timestamps

Show Parameters

Compute FFT & FFT Settings


SFP Show Segment Timestamps

You are here: MD1 SFP 1.x > SFP 1.x Tour > Window > Show Segment Timestamps

Show Segment Timestamps

This option of theWindows menu activates the display of the timestamps associated with the segments of a sequence acquisition. The display will be updated after each acquisition.

The data as shown to the left are used to understand the trigger times of the individual segments of an acquisition. By definition the first trigger of an acquisition occurs at t1=0.0. There are two columns for each digitizer. For the n’th row, the first column contains the difference tn – tn-1and the second column contains tn. The top line contains the average value of the tn in the left column and the standard deviation of the tn in the right one. The times are in ps.


SFP Show Parameters

You are here: MD1 SFP 1.x > SFP 1.x Tour > Window > Show Parameters

Show Parameters

The “Show Parameters” option of the Windows menu activates a display of pulse parameters for each active channel. Inactive channels will have parameter values of 0.0. The parameters will be calculated in a model in which the distribution of measured voltages has two distinct peaks. If this condition is not satisfied the results will be unreliable. The display will be updated after each acquisition.


SFP FFT

You are here: MD1 SFP 1.x > SFP 1.x Tour > Window > Compute FFT & FFT Settings

Compute FFT & FFT Settings

If the Compute FFT option in the Window menu is active a third display window will be opened. It will contain the FFT computed for all subsequent acquisitions on the Active channels.

The FFT Settings option in the Windows menu gives the choice of Window function to apply to the data and the output presentation (FFT amplitude or single-sided auto power spectrum). Furthermore, either the frequency or the vertical scale can be chosen as logarithmic and the data can be shown as unconnected dots or dots joined with straight lines.


SFP 1.x : Help Menu

The SFP Collapsed Soft Front Panel Help Menu contains the following options:

Help Contents... | Opens the SFP help (this document)
Instrument Driver Help... | Opens the Instrument driver Help documentation

Instrument Information

Driver Version

Kernel Driver Version

CC121 Chassis Check

About AgMD1SFP


SFP Instrument Info

You are here: MD1 SFP 1.x > SFP 1.x Tour > Help > Instrument Information

Instrument Information

This option of the Help menu shows basic information about each of the modules found in the system. This information include Model name, Serial number, Crate, Position, Bus, Slot, Memory size, EEPROM version, CPLD version, and any other options.


SFP Driver Version

You are here: MD1 SFP 1.x > SFP 1.x Tour > Help > Driver Version

Driver Version

This option of the Help menu shows basic information about each of the programs and libraries in use.


SFP Kernel Version

You are here: MD1 SFP 1.x > SFP 1.x Tour > Help > Kernel Driver Version

Kernel Driver Version

This option of the Help menu shows the version information for the Kernel Driver used.


SFP Chassis Check

You are here: MD1 SFP 1.x > SFP 1.x Tour > Help > CC121 Chassis Check

CC121 Chassis Check

This option of the Help menu shows simple information about the crates found and whether any of them corresponds to the CC121 description. Its data is of use in conjunction with the CC121 crate and ASbus "MultiInstrument"s.


About

You are here: MD1 SFP 1.x > SFP 1.x Tour > Help > About AgMD1SFP

About Agilent MD1 1.7 Soft Front Panel

This option of the Help menu shows the SFP Collapsed Soft Front Panel splash screen with basic version information.


SFP Tour

You are here: MD1 SFP 1.x > SFP Tour

Extended Operating Modes (SFP 1.x)

Certain instrument models may be operated in other modes depending on the firmware or options loaded. This section provide information on using the SFP Collapsed Soft Front Panel application in those modes.

The Select Class option of the file menu is used to select the operating mode of the instrument.

The available options are shown below. Note: It will only be possible to select a particular class if the instrument supports that function, otherwise the selection will be grey.

Upon selecting the class, the SFP will adapt to display the controls & measurement window for that class.

  • Digitizers – This is the normal Digitizer class.
  • DDC Digitizers – This class is specific to digitizers which support a Digital Down Conversion mode.
  • Averagers – This class is specific to Averagers.

Averager Mode

DDC Mode


SFP Control Panel

You are here: MD1 SFP 1.x > Extended Modes > Averager Mode

Averager Mode (SFP 5.x)

By selecting the mode 'Averager' from the SFP Collapsed Soft Front Panel 'File' menu, or by pressing F10, the instrument and the SFP will be reconfigured to operate in that mode.

The SFP will change some of the control items available in the control panel, and enable the 'Averager Settings' item in the 'Utilities' menu. Also 'AVG' will appear in the waveform display window to indicate that the SFP is in Averager mode.

The Averager settings will appear for the currently selected channel. If a different channel is desired, select it in the 'Instruments' window on the top left of the SFP.

Control Panel in Averager mode

Most items on the Control Panel remain the same as when in the standard digitizer mode (SFP 1.x : Control Panel and Functions for further information on the common functionality). However the 'Delay' control will show the following items in Averager mode:

Start Delay : The delay from the trigger position to the start of the acquisition in samples. Range is 0 to 227.

Stop Delay : The delay from the trigger position to the end of the acquisition in samples. Range is 0 to 227.

Memory

The following controls are also used to configure an average measurement:

Segments : The number of segments in a sequence acquisition.

Samples : The number of samples that will be acquired in each segment.

Averager Settings

From the 'Configure' Menu, select the 'Averager Settings' item. This will open a separate control window which may be used to configure the Averager. The settings on the upper part of the panel relate to the whole instrument, whereas the lower part are 'Channel based settings' and are applied to the channel which was selected when the settings were opened. If you wish to configure another channel, first close the settings window, select the desired channel and re-open the 'Averager Settings' from the 'Configure' menu.

Number of Rounds : Certain Averager models (AP 235, AP 240) support a Round-Robin sequence average mode. In this mode consecutive triggers can be accumulated into different segments. In particular, for stimulus-response experiments, one segment could be the averaged stimulus and another could be the averaged response. This value specifies the number of rounds in the sequence. If the instrument being used does not support this feature, it will be unavailable.

Waveforms per Round : Specifies the number of waveforms to average over.

SAR Collapsed Simultaneous multibuffer Acquisition and Readout - A function which permits simultaneous data acquisition and read out. : Enables the Simultaneous Acquisition and Readout mode

Trigger OUT always : When selected a trigger will occur at the TR OUT connector for every trigger event. This will occur even if the digitizer id not currently acquiring data.

Dithering

‘Dithering’ an ADC Collapsed Analog to Digital Converter is a well-known technique to increase the linearity performance of an ADC. A low frequency pseudo random binary sequence (PRBS Collapsed Pseudo Random Binary Sequence:- Is a binary PN (Pseudo-Noise) signal. The sequence of binary 1’s and 0’s exhibits certain randomness and autocorrelation properties.) noise source is used as the dither signal.

Dithering the ADC can make dramatic improvements in the ADC’s harmonic distortion performance at the expense of slightly reduced full scale range, as the ADC must accommodate the sum of signal plus dither in it’s full scale range.

Channel based settings

The following settings apply to the currently selected channel. Settings which are not applicable to the currently connected instrument model will be disabled.

Invert Data : The acquired data may be inverted if desired.

Noise Suppressed Average

The Digitizer provide a noise suppression feature which makes it possible to enhance rarely occurring events, which, under most circumstances, disappear in signals with base line noise. Only data points that exceed a user-defined threshold are added to the result. This considerably reduces the noise contribution and the signal-to-noise ratio is enhanced.

Threshold : The threshold value in Volts. Data points below this threshold will be suppressed to zero.

Noise Base : When enabled baseline subtraction will occur, and is applied to the data values that are over the threshold. This can be used to greatly reduce the occurrence of data overflows. Therefore many more events can be accumulated before running the risk of data overflow. In Volts.


Digital Down Conversion SFP

This function is only available on the M9202A PXI Express Wideband IF Digitizer.

Once the instrument class 'DDC Digitizers' is selected in the File menu, the SFP Collapsed Soft Front Panel display will adjust its control options for operation as a Digital Down Converter, and the lower display area will switch to frequency-domain mode.

Main SFP window in DDC mode

The main time domain window shows the complex down-converted waveform data.

In the upper left of the window are selection check-boxes which may be used to select the display of either the 'Real' or 'Imaginary' component, or both. The FFT display window shows the frequency domain data for the baseband converted data.

Figure 1. Main SFP window in DDC mode

FFT Window

The operation of the DDC may be configured by opening the options dialog from the Configure menu, please refer to the DDC Settings section of this document.


SFP Overview

You are here: SFP Overview

Soft Front Panel (SFP) Version 5.x

Contents

Getting Started with the SFP

Control Panel

D1 Display

Command Line Switches

Keyboard Shortcuts

Simulation Mode

SFP Tour

Menu Bar

File

View

Configure

Tools

Window

Help

Extended Modes

Zero Suppress (SSR) mode

Averager mode

Peak TDC mode


SFP Getting Started

You are here: MD1 SFP (5.x) > Getting Started with the SFP

Getting Started with the SFP 5.x

Once the software and hardware installation described in the Startup Guide is complete, you will find the MD1 SFP Collapsed Soft Front Panel in the Windows Start Menu under All Programs / Agilent / MD1.

Start The MD1 Soft Front Panel (SFP) from the menu. An splash screen screen will appear during which time the instruments will be initialized and calibrated followed by a panel of controls and a waveform display window. During startup, MD1 SFP searches for any supported digitizers on the PCI/PCIe bus. If no digitizers are found, MD1 SFP will start with an empty window. If you wish to work with real instruments ensure that they have been properly installed by following the information in the relevant product StartUp Guide supplied with your instrument.

The MD1 Soft Front Panel is intended to verify the functionality of the card and to serve as an easy to use and convenient program for capturing, displaying, and saving captured data.

When you start MD1 SFP a display like the one shown below will appear.

The MD1 SFP features:
  • A display window named 'D1 Display' where acquisitions are displayed.
  • A control panel (right) which contains controls that allow you to manipulate the acquisition parameters of the instrument.
  • An instrument display (top right) which shows the currently connected instruments and their channels.
  • Menu bar which contains various menu items used to configure the application & instrument.

Other controls in the control panel allow you to select the optimal acquisition settings for your particular signal. Each of the other control panel functions will be discussed in detail in the following Control Panel Functions section.


SFP Control Panel

You are here: MD1 SFP (5.x) > Control Panel

SFP 5.x Control Panel and Functions

Instrument / Channel Selection

The Instruments window at the top right will display the currently connected instrument(s), and expanding the list by clicking on the arrow icon next to the instrument name, will show all channels of that instrument.

The tick box next to each channel is used to enable or disable the readout of that channel from the instrument. Each channel is color-coded, the trace in the display area will be shown in that color.

In the instrument all channels acquire data simultaneously regardless of this selection, but the data is only read-out and displayed if this box is ticked. Thus overall the acquisition will be quicker if unused channels are deselected.

Highlighting a channel on this list selects that channel for configuration by the channel controls below.

Channel Input controls

Settings for input voltage scale, offset, coupling and impedance are available in the portion of the control panel shown to the right. The selected channel is shown on the upper section of the display. Only this channel will be affected by changes in any settings on the control panel.

The Input Full Scale is set by using the increment/ decrement buttons next to the control. The values available will depend on the connected instrument.

The input Coupling can be selected and available values also depend on the connected instrument. Commonly available values are DC 50, AC 50, AC 1MΩ. AC coupling blocks DC signal components from the input. For,

  • 8-bit FAMILY modules, the AC coupling mode acts as a high pass filter passing frequencies above 10 Hz. In DC coupling all frequency components are passed through the input.
  • the U1066A-001 and the U1070A-001, the AC coupling setting is used to choose the Direct HF Input SMA Connector. In DC coupling the Standard Input BNC is in use and all frequency components are passed through the input.

The input voltage Offset control applies an offset to the input amplifier in order to better digitize and display signals offset away from 0 volts. Signals riding on a DC level can be most accurately characterized when the offset is adjusted so that the acquisitions are made about the midpoint of the digitizer’s Full Scale Range, and when as much of the ADC Collapsed Analog to Digital Converter range is used as possible. The ability to select an offset voltage also enables accurate measurement when offsets are present in the signal.

The Bandwidth Limit control allows the bandwidth to be selected by the user, if supported by the connected instrument.

Timebase Mode

In MD1 SFP Collapsed Soft Front Panel there are two timebase modes available, Oscilloscope Mode and Transient Recorder Mode. The choice of mode is entirely determined by the preference of the user, and may be selected by using the buttons in the Timebase section of the control panel.

Both modes provide the same set of functional capabilities but display the settings slightly differently. For example in Transient Recorder Mode, the user selects the Time/Div and Max Samples, whereas in Scope mode the user selects Sampling Frequency and Number of Samples.

In Oscilloscope Mode, the user selects the time window (Time /Div) and Max Samples. The maximum number of samples will be adjusted to the fastest possible within the limits of the available memory as the Time/Div is reduced.

In Transient Recorder Mode, the user selects the sampling frequency and the number of samples. When selecting the sampling frequency, the number of samples is adapted, keeping the current capture time window and number of segments, up to the maximum available memory on the card. When selecting the number of samples, the capture time window is adapted, keeping the current sampling rate and number of segments.

Oscilloscope Mode Transient Recorder Mode

Instruments with fixed sample rates are not supported in Oscilloscope mode. In these cases Recorder mode should be used.

Channel Combination

The Combine Channels function gives the user the control of how many converters will be used for each channel. This allows the memory size and the sampling rate to be increased in situations where not all of the input channels need to be acquired.

Normally digitizer modules work with one converter per channel.

If two or more converters per channel are desired, the identities of the channels to be used can be chosen with the drop-down menu as shown below. e.g. If the option '1+3+5+7' is selected then only those channels with be available, but with twice the Sampling Frequency, and twice the Number of Samples available.

Trigger Delay

The trigger Delay setting positions the acquisition with respect to the trigger. Pre-trigger values are negative and Post-trigger values positive.

Delay | Min | Max
Pre-trigger Delay | -(10 * Timebase) | 0
Post-trigger Delay | 0 | model dependant, typically 10s of seconds

100% pre-trigger is achieved by setting Delay to its minimum negative value. A 100% pre-trigger delay means the trigger point is at the right edge of the display and all of the data in the acquired waveform were captured just prior to the trigger event.

Maximum Post trigger delay settings depend on the sample interval used, number of samples and the digitizer model.

The value (10 * timebase) is often referred to as the 'time window' or 'capture-time'.

Operation Modes

The operation modes control allows the user to put the connected instrument into one of its supported modes. The actual modes which are available will depend on which instrument model and options are installed. For example certain models may be operated in 'Digitizer' or 'Averager' mode, others such as the U1084A when in 'Digitizer' mode also supports a sub-modes 'SSR Collapsed Sustained Sequential Readout - a method of implementing faster acquisition and readout operation by the use of a buffer memory. Also incorporating a zero-suppression function.' or 'Normal'.

Segmented Memory (Nbr of Segments)

Certain digitizers support Segmented Memory. This feature is particularly useful when capturing impulse-response type waveforms in a variety of applications. Segmented memory is available in all acquisition modes. However, it is generally used in either Normal or Single mode. Waveform display occurs only after all segments are filled. Segments can be displayed sequentially on the display or they can be overlaid on top of each other. To select an overlaid display, select the item Overlay Segments on the control panel. Segmented data can be archived to any storage device on the computer in a similar way to non-segmented acquisitions. If the acquisition needs to be stopped before all segments are filled, press the Stop button.

In order to set up the sequential acquisition mode, simply select more than 1 segment in the Nbr of Segments control in the control window and start the acquisition.

Note: Memory 'Segments' are also referred to as 'Records' in IVI terminology, and are essentially the same.

Trigger

Trigger characteristics are set by pressing the [image] button, which opens a separate control window. This control then allows the user to select the trigger source. The source options will depend on which model of instrument is being used. but commonly available sources may be Internal channel <n>, External trigger input <n>. The current trigger source and parameters are shown on the control panel to the right of the Trigger button. e.g. 'Trigger : Ch 1, DC, Positive, 0.000V'

  • In order to select the trigger source, simply select the check-box next to the desired source.

The trigger parameters control will automatically expand for the selected source:

  • The trigger Coupling may be set from the available options for that instrument. Normally AC or DC coupling. AC coupling on the trigger sets the trigger circuit to an AC Low Frequency Reject mode.

  • Use the Level section to set the desired trigger level. The relationship between coupling, trigger source, and trigger level was discussed in section .

  • The Slope is used to select either Positive or Negative trigger slope. i.e. triggering on either a rising or falling edge.Certain digitizers (10-bit and U1064 families) have extended slope functionality allowing the choice of the window, HF divide, and Spike Stretcher trigger modes.

  • The Trigger Class control allows the type of trigger qualification to be selected. The options available will again depend on the connected instrument model, but common values are: Edge, Window, HF.

External Clock

Several options are available for configuring external clock & reference signals (model dependant). These options are accessed by pressing the [image] button in the control panel. A separate window will be opened as shown on the right.

The options available will depend on the instrument which is connected. Some of the options which may be available are as follows:

  • Internal - The clock is generated internally by the instrument.

  • External (Continuous) - The instruments external clock input connector is selected as the source. The applied clock signal must be continuously present for correct operation. The frequency and input characteristics are model dependant, please refer to the applicable datasheet.

  • External Reference - For applications that require greater timing precision and long-term stability than is obtainable from the internal clock, a Reference signal can be used. For information on the accepted frequency, amplitude and threshold conditions, please refer to the model datasheet or the User Guide section of this help.

  • AXIe Ref - The 100 MHz reference clock which is available from the AXIe backplane.

Control IO

Certain digitizer models feature multi-purpose Input / Output signals which may be configured by the user to perform one of a number of functions. The presence, number of IO ports, and functions available depend on the specific instrument model, To configure these options press the [image] button which will open a separate control window as shown on the right.

A number of drop-down list controls allow the user to select which signal / function is assigned to each IO connector.The functions available will depend on the connected instrument, thus if the option is not shown for your instrument, it is not supported. All inputs are active-high unless otherwise stated. For a full list of the available options

The Trig Out control allows the source and level of the Trigger Out signal to be assigned (mV).

There are several trigger sources which may be assigned to the Trigger Out connector, for a full list

SelfTest, Calibrate, Reread

Three buttons at the lower end of the control panel allow the user to initiate the following operations:

  • SelfTest - Performs an internal self-test on the instrument. Checks are performed on the module supply voltages, board temperatures, data transmission paths, memory and other items. Self-Test will terminate with a confirmation in the message area located at the lower left of the SFP window, if successful

  • Calibrate - Performs a full self-calibration on the instrument. This fully automatic operation calibrates the gain, offset, trigger level and the timing. Performing a calibration compensates for any drift in these properties, typically due to component temperature variations. Calibration will show the following status message during the operation:

    Calibration can usually be performed with signals present at the channel, external, and clock inputs. However, if the calibration is found to be unreliable, as shown by a calibration failure status, it may be necessary to remove such signals.

  • Reread - This function refreshes the display by re-reading the data (acquisition) currently present in the instrument. It does not initiate a new acquisition. This may be useful in certain circumstances, for example: removing persistence of a captured waveform and showing only the last capture.

Acquisition Mode

The acquisition mode of the digitizers is selected using one of four acquisition mode buttons in the Acquisition section of the control panel. Available acquisition modes are Auto, Normal, Single and Stop.

The use of each of the acquisition modes is described below. In the discussion, a valid trigger indicates a trigger signal meeting the trigger conditions at a time when the digitizer is armed and ready to acquire data. In Single and Normal modes the display will only be updated after each active digitizer has received a trigger.

Stop will stop the acquisition and hold the latest complete acquisition on the display.

Single mode is used in order to capture one event at the first valid trigger. It freezes the acquisition in the digitizer’s memory, and on the display, until the user requests another acquisition. After an acquisition is taken in Single mode, the digitizer will ignore subsequent trigger events until the Single button is pressed again or another acquisition mode is selected. Pressing the single button re-arms the trigger and captures one acquisition at the next valid trigger.

Normal mode is used to continuously acquire waveforms into memory for valid trigger events. Acquisitions will happen for each valid trigger until either single or Stop is pressed.

If the trigger indicator on the instrument front panel does not blink, the digitizer is not receiving valid triggers. Check the trigger settings or select Auto mode in order to obtain a display of the waveform.

The Timeout is applied only when the mode is 'Normal' or 'Single' modes. If the box is ticked the timeout will be active and the digitizer will time-out from waiting for a trigger after the specified delay, and provide a software generated trigger. Note that it is only possible to select/deselect the timeout when in 'Stop' mode.

Persistence

SFP 5.x D1 Display


SFP Control Panel

You are here: MD1 SFP (5.x) > D1 Display

SFP 5.x D1 Display

Display Features

The D1 Display is opened by default in the main window. This section describes its main features and configuration options.

Toolbar Buttons

Several control buttons are provided in the toolbar of the D1 Display window, these have the following functions:

Save- Opens the save dialog window, allowing the user to save the current acquisition to a .trc file.
Temperature display - Enables or disables the reading & display of the instrument temperature.
Zoom - Opens the zoom control window, allowing the user to expand the horizontal or vertical display.
FFT mode - Switches the display into FFT (frequency domain) mode.
Waveform mode - Switches the display into time domain mode.

Displayed parameters

The following parameters are displayed in the D1 window:

Parameter | Description
Update | The current acquisition rate in acquisitions per second.
Acq shown | The number of acquisitions currently being displayed.
Current Temp | The current module temperature (if enabled).
T/div | The horizontal scale, in the format : original scale -> current zoom level (Time/Div)
FScale | The vertical scale, in the format : original scale -> current zoom level (Volts/Div)

Zoom operation

Zoom operations may be accessed by pressing the [image] button on the tool bar of the D1 Display. This will open a zoom control window as shown on the right.

The zoom factor and center position are modified using the horizontal and vertical controls shown on the zoom display control. The zoom factor may be adjusted by either clicking on the increment & decrement buttons, or by typing in an integer value directly into the control.

Similarly the horizontal or vertical positions may be adjusted by either dragging the sliders, or by entering a value directly into the position controls.

Note: Vertical zoom will not be available when the display is in time-domain (FFT) mode.

To reset the display to the original configuration, press the [image] button, which will reset all zoom values to 'x1' and all positions to '0%'.

Note that when the display has been zoomed, both the original and zoomed scale values are shown at the top of the window:

The zoom controls may also be operated at any time from the mouse wheel :

  • Mouse wheel up/down : Zoom In / Out
  • Press mouse wheel & move mouse : Zoom Offset change.
  • Double click mouse wheel : Reset Zoom

Persistence

Several digital persistence options are available for the displayed data. These may be selected by using the radio buttons at the bottom of the control panel.

These options are as follows:

Item | Description
Off | Only the most recent acquisition is displayed (Persistence is off)
On | All acquisitions are overlaid. (Infinite persistence)
T° | Classic persistence mode where the color brightness is high at frequently occurring points and decreases at points which are less frequently occurring.
Partial | Older points are removed as new ones are added, allowing recently occurring events to be watched.
Clear | Operating this button will clear all previously acquired points.

FFT Display Mode

By selecting the FFT mode from the toolbar or View menu, the D1 display will be switched into FFT (Fast Fourier Transform) mode. A typical FFT acquisition is shown below:

FFT Implementation

The FFT implementation uses the A.Oppenheim + R.Schafer FFT algorithm. The highest peak of the resulting FFT is considered to be the input signal, or 'carrier'. Depending on the measurement conditions, and the applied window, this carrier might generate harmonics whose frequencies are derived from it. Where noted, the harmonics are removed from certain measurements.

Several options and measurements are available, these are:

Scale

The vertical scale of the FFT window may be select from the following options

Item | Description
dBFS Collapsed Decibels relative to full scale - the power ratio between the theoretical power of a full scale sinusoid and the highest spurious peak. | Power in dB relative to full scale.
dBc Collapsed Decibels relative to carrier - the power ratio of a signal to a carrier. (Carrier) | Power in dB relative to the carrier (input) signal.
dBm Collapsed Power measurement relative to 1 mW, P (dBm) = 10log10(1000.P) (50 Ω) | Power in dB relative to 1 mW, into 50 Ω.
V | Volts.
V rms | Volts rms.
Power | Power in Watts.
Phase | Phase.
Window type

The window function used for th FFT display may be selected using the drop-down list, the options available are as follows:

Window mode | Description
Rectangular | No modification of the signal. Useful in multitone testing.
Flattop | A low ripple window, allowing accurate amplitude measurement, but poor frequency resolution.
Hann | A raised cosine window where the ends terminate at zero, 18 dB per octave roll-off of the side lobes.
Hamming | A raised cosine window, optimized to minimize the nearest side lobe (about 1/5 of the Hann window).
Blackman | Similar to Hann or Hamming windows, with an extra cosine term which smoothes the approach to zero.
Average Measurements

When the check box is selected, the measurements shown in the FFT window will be averaged rather than instantaneous.

Measurements

A set of measurements is calculated for each enabled channel in the FFT display. These measurements are as follows:

Measurement | Unit | Description
FS Collapsed Full Scale:- The maximum value of the ADC input. SINAD Collapsed Signal-to Noise and Distortion ratio - the ration between the signal power and the noise power, SINAD = 10 log10(Pc/Pn)+10log10(Pfs/Pc) | dBc | Signal to Noise And Distortion ratio, normalized to Full-Scale.
FS SNR Collapsed Signal to Noise Ratio - the ratio of the power of the full scale signal and the power of the noise. SNR=10log10(Pfs/Pn) (No Harm) | dBc | Signal to Noise ratio, with harmonics removed, normalized to Full-Scale.
SFDR Collapsed Spurious Free Dynamic Range - the ratio of the carrier signal to the strongest spurious signal | dBFS | Spurious Free Dynamic Range.
SFDR (No Harm) | dBFS | Spurious Free Dynamic Range, with harmonics removed.
THD Collapsed Total Harmonic Distortion - the ratio of the sum of the powers of all harmonic components to the power of the fundamental frequency. | dBFS | Total Harmonic Distortion.
THD | dBc | Total Harmonic Distortion.
ENOB Collapsed Effective Number Of Bits - expresses the quality of the ADC quantification. | bits | Effective number Of Bits.
ENOB (No Harm) | bits | Effective number Of Bits, with harmonics removed.

The measurements are only valid for a single tone input using coherent sampling.


SFP Command Line Switches

You are here: MD1 SFP (5.x) > Command Line Switches

SFP 5.x Command Line Switches

When starting the MD1 SFP Collapsed Soft Front Panel application, the executable's name in the command line can be followed by one or more switches to change the running conditions.

The syntax of the command line is the following:

..\AgMD1SFP.exe [-i VISA_ADDR][-n][-nc][-na][-vd][-v][-h][-?]

Available Switches

Switch | Switch (alternative) | Function
-i VISA_ADDRESS | --init VISA_ADDRESS | Initialize this instrument using the specified VISA address (also excludes auto detection).
-n | --no-dma | Disables DMA usage.
-nc | --no-calibration | Skips automatic calibration of the instrument at start up.
-na | --no-asbus | Skips AS bus auto detection at start up.
-vd | --viewdevices | Starts with device diagnosis display, showing EEPROM contents & device configuration.
-v | --version | Shows the software version and exits.
-h or -? | --help | Shows the help dialog and exits.
Initialize [-i]

Allows the SFP to be started with only the devices which are specified in the following VISA address. The VISA address may be found from the Agilent Connection Expert (ACE).

Disable DMA Data Transfers [-n]

By default, data transfers on the PCI/PCIe bus between the digitizer memory and the PC are done in DMA (Direct Memory Access) mode, which allows the fastest transfer speeds. These very high data rates may not be supported by all hardware configurations (PC motherboard), and occasionally problems may occur on some machines. In these cases such problems can be fixed by switching off DMA mode transfers.

Digitizer Type | Typical Data Rate DMA disabled | Typical Data Rate DMA enabled
PCI | 3 MB/s | 100 MB/s
PXI / AXIe | 3 MB/s | 600 MB/s

Note: The figures above are typical, and where applicable PCIe Gen2 figures are quoted.

No Calibration [-nc]

Before operation, the instruments must undergo an internal calibration. As this calibration can only proceed sequentially for each channel, the initialization time of MD1 SFP can become significant for systems with many channels. Therefore, it can sometimes be desirable to be able to start the application quickly by skipping the calibration.

No AS bus [-na]

Disables automatic detection of the AS bus at start up. This option will speed up the program start up if AS bus instruments are not being used.

View Devices [-vd]

Starts the SFP with the diagnosis window open. This display shows the instrument EEPROM contents and device configuration parameters. Used for debug purposes.

Version [-v]

Displays a dialog showing the software version & build information only.

Help [-h or -?]

Displays a dialog showing all of the available command line options only.


SFP 5.x Keyboard Shortcuts

A number of keyboard shortcuts are available in the SFP Collapsed Soft Front Panel application.

These are:

Actions
Shortcut | Action
F1 | Opens the SFP Help (this document)
Ctrl - Z | Opens the Zoom contol window
Ctrl - F4 | Closes the application
Load / Save
Shortcut | Action
Ctrl - S | Save waveform
Display
Shortcut | Action
Ctrl - E | Toggles the instrument temperature reading on / off.
Ctrl - T | Switches the D1 display to FFT mode
Ctrl - V | Switches the D1 display to Waveform mode


SFP5 Simulation Mode

You are here: MD1 SFP (5.x) > Simulation Mode

SFP 5.x Simulation Mode & Options

Simulation mode allows you to run MD1 SFP Collapsed Soft Front Panel without having any digitizer installed or connected to the PC. This may be useful when debugging user applications or simulation of hardware behavior. The desired digitizer model may be defined by the parameter MODEL (e.g 'M9202A' and with any OPTIONS that apply to that model (e.g. "DDC")

Syntax:

..\AgMD1SFP5.exe [-s MODEL OPTION OPTION ...][-s NEXTMODEL OPTION ... (32-bit)

or,

..\AgMD1SFP5_64.exe [-s MODEL OPTION OPTION ...][-s NEXTMODEL OPTION ... (64-bit)

Example:

> AgMD1SFP5.exe -s M9703A M256M -s DC135 M2M FreqCntr

This simulates 2 instruments: An M9703A with 256 MB acquisition memory and a DC135 with 2 MB memory and the frequency counter option.

The following table shows the valid Model numbers and Options. The table shows both the Agilent part number and the older Acqiris part number (where applicable). The MODEL number which is shown in bold is the one which must be used in the command line.

Agilent Model | Acqiris Model | Options
M9202A | - | M256M, DDC, V05, V10
M9210A | - | M32M_, M256M, M512M
M9211A | - | M64M_, M512M, M1G
M9703A | - | M256M, M128M_, M64M_
U1061A-001-F50 | DC135 | M2M, FreqCntr
U1061A-001-FHZ | DC135HZ | M2M, FreqCntr
U1061A-002-F50 | DC140 | M8M, FreqCntr
U1061A-002-FHZ | DC140HZ | M8M, FreqCntr
U1062A-001 | DC122 | M64M_, M512M, M1G
U1062A-001-2F5 | DC122HF | M64M_, M512M, M1G
U1062A-001-2FZ | DC122HZ | M64M_, M512M, M1G
U1062A-002-2F5 | DC152 | M32M_, M256M, M512M
U1062A-002-2FZ | DC152HZ | M32M_, M256M, M512M
U1063A-001 | DC265 | M2M, M8M
U1063A-002 | DC270 | M2M, M8M
U1064A-001-F50 | DC211 | M8M, M32M
U1064A-001-FHZ | DC211A | M8M, M32M
U1064A-002-F50 | DC241 | M4M, M16M
U1064A-002-FHZ | DC241A | M4M, M16M
U1064A-004-F50 | DC271 | M2M, M8M
U1064A-004-FHZ | DC271A | M2M, M8M
U1065A-001-F50 | DC222 | M128M_, M1G, M2G
U1065A-001-FHF | DC222HF | M128M_, M1G, M2G
U1065A-001-FHZ | DC222HZ | M128M_, M1G
U1065A-002-F50 | DC252 | M64M_, M512M, M1G
U1065A-002-FHF | DC252HF | M64M_, M512M, M1G
U1065A-004-F50 | DC282 | M32M_, M256M, M512M
U1065A-004-FHZ | DC282HZ | M32M_, M256M, M512M
U1066A-001 | DC440 | M4M, M8M
U1066A-002 | DC438 | M2M, M4M, M8M
U1067A-001 | DP105 | M2M, M8M
U1067A-002 | DP110 | M2M, M8M
U1068A-001 | DP210 | M4M, M16M
U1068A-002 | DP211 | M4M, M16M
U1069A-001 | DP214 | M4M, M16M
U1069A-002 | DP235 | M2M, M8M
U1069A-003 | DP240 | M2M, M8M
U1070A-001 | DP310 | M4M
U1070A-002 | DP308 | M4M
U1070A-003 | DP306 | M4M
U1071A-001 | DP1400 | SAR Collapsed Simultaneous multibuffer Acquisition and Readout - A function which permits simultaneous data acquisition and read out., M128M_, M64M_, M32M_, M8M_
U1071A002 | - | SAR, M128M_, M64M_, M32M_, M8M_
U1071A004 | - | SAR, M128M_, M64M_, M32M_, M8M_
U1071AHZ1 | - | SAR, M128M_, M64M_, M32M_, M8M_
U1071AHZ2 | - | SAR, M128M_, M64M_, M32M_, M8M_
U1071AHZ4 | - | SAR, M128M_, M64M_, M32M_, M8M_
U1080A-001 | AC240 | P512MB
U1080A-002 | SC240 | P512MB, -12Link, HRODL
U1081A-001 | AP100 | A2M, A8M
U1081A-002 | AP101 | A8M
U1081A-003 | AP200 | A2M, A8M
U1081A-004 | AP201 | A8M
U1082A-001 | AP240 | P24MB, Avg, SSR Collapsed Sustained Sequential Readout - a method of implementing faster acquisition and readout operation by the use of a buffer memory. Also incorporating a zero-suppression function., SSR +AdvTDC, PiPo +TDC
U1082A-002 | AP235 | P24MB, Avg, SSR, SSR +AdvTDC
U1084A001 | - | M256M, M128M_, M64M_, PeakTDC, Avg, Dig, SAR, SSR
U1084A002 | - | M256M, M128M_, M64M_, PeakTDC, Avg, Dig, SAR, SSR
U1084A003 | - | M256M, M128M_, M64M_, PeakTDC, Avg, Dig, SAR, SSR
U1091AC10 | DC110 | M2M, M8M
U1091AD06/07 | DP106 | M2M, M8M
U1091AD21 | DP212 | M4M, M16M
U1091AD29 | DC240 | M4M, M16M

Option definitions

The following table provides a complete list of the available model options with a brief description. Note that only the options shown in the table above will be valid for that model.

Option | Description
-12Link | Optical data link option.
Avg | Enables the Averager option firmware.
A2M, A8M | Specifies the amount of memory fitted to the Averager models, in MBytes.
DDC | Enables the Digital Down Converter firmware option (Only available on M9202A)
Dig | Enables the standard Digitizer firmware option.
FreqCntr | Enables the Frequency counter option firmware (Only available on DC135 & DC140)
HRODL | Optical data link option.
M2M, M4M, M8M, M8M_, M16M, M32M_, M64M_, M128M_, M256M, M512M, M1G, M2G | Specifies the amount of acquisition memory fitted to the module, in MBytes or GBytes.
PeakTDC | Enables the Peak Time to Digital Converter option firmware.
P24MB, P512MB | Specifies the amount of memory fitted to the AP series modules.
SAR | Enables the Simultaneous Acquisition and Readout option.
SSR | Enables the Sustained Sequential Readout option.
SSR +AdvTDC | Enables the Sustained Sequential Readout option with Peak Detection.
V05, V10 | Streaming bandwidth options V05 = 50 MHz, V10 = 100 MHz (M9202A only)


SFP Tour

You are here: MD1 SFP (5.x) > SFP Tour

Soft Front Panel (SFP) 5.x Tour

Introduction to the SFP Collapsed Soft Front Panel User Interface functions.

Menu Bar

File

View

Configure

Tools

Window

Help


SFP Menu Bar

You are here: MD1 SFP (5.x) > SFP Tour > Menu Bar

SFP 5.x : Menu Bar

The top Menu Bar contains functions offering additional utility to the MD1 SFP Collapsed Soft Front Panel application.

Provisions are included for storing waveforms, display selection & configuration and other utilities.

These possibilities are discussed in the next few sections.

Reset Button

Operating this button will reset the instrument to its default state.


SFP 5.x : File Menu

The file menu contains the following options:

Load To or Save From FPGA/CPLD/EEPROM (Configure Logic Device)

This function is used to read or write to one of several devices/memory inside the instrument. The devices/memory locations available will vary between products, but in general this function may be used for the following purposes:

  • To update the device operating firmware.
  • To add product options (after receiving a licence file from Agilent support).
  • To read from or write to user memory areas.

Proceed with caution when using this function. Incorrect usage could damage your module.

On selecting this option a window similar to the one shown below will be opened.

The items displayed and operations which will be available depend on the instrument connected. When highlighting a particular item the operations which may be performed on that item will be displayed on the right hand side.

Detailed information on the usage of this screen will be provided with the firmware or option upgrade as required.

Other memory locations shown are related to functionality which is supported by the Firmware Development Kit (FDK Collapsed Firmware Development Kit), for more information on this please refer to the FDK Users Guide.

D1 Waveform

Save or Save As... - Allows the user to save the current waveform to a file. Clicking on 'Save As ...' will open a dialog window asking the user to select a filename & location. Subsequently clicking on 'Save' will overwrite the previously chosen file without opening the dialog.

Exit

Closes the SFP Collapsed Soft Front Panel application.


SFP View Menu

You are here: MD1 SFP (5.x) > SFP Tour > View

SFP 5.x : View Menu

The View menu has a drop down selector that controls aspects of the D1 Display.

There are two display modes available in the first section :

  • FFT – The D1 display will be in FFT (frequency domain) mode.
  • Wave – The D1 display will be in Waveform (time domain) mode.

The second section of the View drop down menu contains the following :

  • Turn Temperature Readings On/Off – Enables or disables the reading & display of the module temperature on the D1 Display.
  • Zoom Control – Opens a separate zoom control window which may be used to expand the waveform display

The third section contains :

  • Enable display – Allows the user to enable or disable the D1 Display. The instrument will continue to make acquisitions with the display disabled.


SFP 5.x : Configure Menu

The Configure Menu contains the following options:

Acquisition Options

Selecting the Acquisition Optionsitem will open a control window will allows the configuration of various read options:

Read Type (digitizer mode only)

These options allow the data width / type of the 'FetchWaveform' function to be selected from:

  • Int8
  • Int16
  • Int32
  • Real64

The usual reason for selecting a particular data type will be performance, or post processing considerations. Reading the data for example in Real64 format will obviously take up 4 times the memory space than the native format, but may prove more efficient for later data conversion.

The native format for 10 or 12 bit digitizers is 16-bits (ViInt16), and for the 8-bit digitizers it is 8-bits (ViInt8).

Read Method (digitizer mode only)

Selects the method used to read data from the digitizer. This option may be useful when testing the performance of read operations.

  • One segment after another - This mode will use less memory, as only the segment size needs to be allocated, but will have slower overall transfer time due to the overhead of DMA initiation & configuration for each segment.
  • All segments at once - This mode will provide a faster transfer time overall, but will also require enough memory to be allocated to unwrap all of the data.
Wait For End Of Acquisition/Processing Type

These options allow either Interrupt driven or Polling of the end of the acquisition. The advantages / disadvantages are:

  • Interrupt - Takes less processor time, but has higher latency.
  • Polling - Has lower latency, but takes more processor time.
  • Do not call 'AgMD1_SendSoftwareTrigger' - This option is useful for testing the operation of the driver & digtizer when developing a user application.

For a more detailed explanation of options shown above, please refer to the information in the MD1 IVI Driver Reference (Help). Related Documentation

Freq Counter

When using the U1061A models (DC135, DC140) which feature a Frequency Counter option this menu option will open a separate frequency counter window as shown below. This option allows the measurement of the average frequency or period of a signal for frequencies up to 400 MHz over a user-selectable aperture between 1 ms and 1000 s.

A digitizer with the Frequency Counter option can also totalize the number of triggers during a chosen time interval or a user-provided gate signal. This can be done for trigger frequencies under 125 MHz and for total counts up to 248. The time interval is measured using the same clock as is being used to drive the digitizer. The user gate signal has to be made available on one of the Control I/O inputs.

The above example has been taken with an input signal of 10 MHz, and aperture time of 10 ms and over 10 measurements. As can be seen the data is displayed as a histogram of the measurements. When using this function, it is recommended to adjust the Full Scale and Offset to achieve the best span of the digitizer input range.

Configuration Parameters :
Timeout
Target Value

Is a estimator of the expected result. This value is used to select the HF trigger mode which extends the usable frequency range. By default the range is set to 'extended' for frequency and period measurements, except when:

  • Frequency measurement, when Target Value is greater than 0.0 and less than 1000.0 (1 KHz).
  • Period measurement, when Target Value is greater than 0.001 (1 ms).

In Totalize measurement modes the Target Value is ignored, as HF mode is never used in these cases.

Measurement

The following measurement modes are available:

  • Frequency - Measures the frequency of the applied signal.
  • Period - Measures the period of the applied signal (1/f).
  • Totalize by Time - Totalizes the number of triggers in the given aperture time.
  • Totalize by Gate - Totalizes the number of gate signals in the given aperture time.
Aperture Time

The Aperture Time defines the minimum time for a frequency measurement (Note: It may need to be long if the frequency is very low). In the Totalize by Time mode, the value of Aperture Time determines the time window during which the input pulses are counted.

Signal Channel

Selects the instrument channel on which the frequency measurement will be taken.

Number (#) of Measurements

Defines the number of measurements which will be taken, and over which the histogram will be displayed.

New Measurement

This button is used to initiate each new measurement.

The accuracy is limited by that of the timebase, < 2 ppm; the short term stability is of ~ 0.1 ppm. The accuracy can be improved if an appropriate external reference clock is used. Frequencies in excess of 100 MHz may be measured using the HF divide by four feature of the trigger circuit.


SFP 5.x : Tools Menu

The Tools menu contains the following options:

Monitor Driver Call

This may be used to enable or disable the logging of calls to the MD1 fundamental driver.

On selecting this item the first time, a log window will open as shown below. Subsequently deselecting the Monitor Driver Call item will disable the logging, but leave the log window open.

The log will show all calls to the Agilent MD1 IVI Fundamental driver. This may be useful in debugging applications and for product support purposes.

The example log show above was created when performing the following actions :

  • Selecting combined channels (1,3,5,7),
  • Setting bandwidth limiting to 600 MHz,
  • Setting a 1.5 V offset and 2 V input range.

Each line of the log has the following basic format:

IVI driver method (parameter1, parameter2, ...); // parameter1='value' parameter2='value' ...

For example:

Identify (LED On/Off)

Selecting the Identify function will identify the module associated with the current channel. When this function is active (ticked), the LED on the front panel lights up yellow on the digitizer module with the current channel

D1 Front-end CPLD Constants

The CPLD Constants window contains information on the hardware and firmware version of the front-end mezzanine boards. This information may be useful for debugging or product support purposes.


SFP 5.x : Window Menu

The SFP Collapsed Soft Front Panel Window Menu contains the following options:

All of the items in this menu give control over the windows which may be opened in the main display area.

Close - Closes the currently active window.

Close All - Closes all windows.

Tile - Rearranges all windows into a tiled arrangement the display area.

Cascade - Rearranges all window in a cascaded manner.

Next - Make the next window in the sequence the active window.

Previous - Makes the previous window in the sequence the active window.

< Window List > - Lists the currently open windows and allows the user to quickly select the desired window.


SFP 5.x : Help Menu

The SFP Collapsed Soft Front Panel Help Menu contains the following options:

Selecting the Contents item or by pressing F1 on the keyboard at any time will open the SFP Help (this document).

Selecting the About item will open an splash screen providing information on the software version and build, as shown below.

As well as showing the version & build information for the SFP, it also shows a list of the libraries used by the SFP. Selecting 'Show all' will display a more complete & verbose listing.


SFP Tour

You are here: MD1 SFP (5.x) > SFP Tour

Extended Operating Modes (SFP 5.x)

Certain instrument models may be operated in other modes depending on the firmware or options loaded. This section provide information on using the SFP Collapsed Soft Front Panel application in those modes.

Extended modes (if available) may be selected in the SFP control panel, by the 'Operation Modes' drop-down control.

Zero Suppress (SSR) mode

Averager mode

Peak TDC mode


SFP Control Panel

You are here: MD1 SFP (5.x) > Extended Modes > Zero Suppress (SSR) mode

Zero Suppression mode (SFP 5.x)

Once the MD1 SFP Collapsed Soft Front Panel application has been launched, it may be put into Zero-Suppression mode by selecting the ‘7 SSR Collapsed Sustained Sequential Readout - a method of implementing faster acquisition and readout operation by the use of a buffer memory. Also incorporating a zero-suppression function.’ mode from the ‘Operation Modes’ on the control panel as shown below. Note that it is only possible to change the operation mode when the module is in the ‘Stop’ condition.

Note that the mode ’10 SAR Collapsed Simultaneous multibuffer Acquisition and Readout - A function which permits simultaneous data acquisition and read out.’ will be automatically selected by the software as it is the only valid option for the Zero-Suppression mode. It indicates that the digitizer is operating in Simultaneous Acquisition and Readout mode.

Once this selection has been made the application will automatically open a control panel on the left hand side which provides a specific configuration options for the Zero-Suppress function.

The granularity of the Zero-Suppression system is 16 samples in dual-channel (non-combined) mode, and 32 samples in single-channel (combined) mode. If any point within the 16 (32) sample block satisfies the threshold condition, all 16 (32) samples will be retained. Note, that if the threshold condition is satisfied in every 16 (32) sample block, no data will be excluded. This may occur in the case where the threshold is too low, or the frequency of events too high.

Zero-Supress control options

The following control options are available in Zero-Suppession mode.

Timebase

Nbr Segments : The number of Segments in a sequence acquisition.

NbrSamples : The number of samples that will be acquired for each segment.

Post-Gate Samples : Used to guarantee a number of samples after the last one satisfying the threshold condition. This value must be a multiple of 16 in dual-channel mode (no channel combination), or 32 in single channel mode (channels 1 & 2 combined).

Pre-Gate Samples : Used to guarantee a number of samples before the first one which satisfies the threshold condition. This value must be a multiple of 16 in dual-channel mode (no channel combination), or 32 in single channel mode (channels 1 & 2 combined).

Max Samples Stored : Defines the maximum number of samples to be stored per segment in Zero-Suppression (gating) mode. This value is per channel. This parameter can be used to limit the readout time.

Thresholds

Invert Data : This option provides the user with the ability to invert the acquired data.

Thresholds : The threshold values may be entered into the table, containing up to 128 thresholds which will be used in sequence. Each threshold comprises of two parameters :

Level : The threshold value in volts.

Next At : The index of the sample in the segment at which the Zero-Suppression system should switch to the next threshold value.

Show Timestamps

The window shown on the left may be opened by clicking the ‘Show Timestamps’ button.

This window shows the index, and time offset of each segment in the acquisition. The units are picoseconds.

An example Zero-Suppressed acquisition

An example of an acquisition in Zero-Suppression mode can be seen below. The input is a sinusoid of 1 MHz / 14 dBm Collapsed Power measurement relative to 1 mW, P (dBm) = 10log10(1000.P). Two segments have been acquired, each with up to 32768 samples, and with the threshold configuration as shown. It can be seen that only data above the threshold is stored from sample 0 to 26623, and then from 26624 until 32768, no data is stored as it does not meet the 2.5 V threshold.


SFP Control Panel

You are here: MD1 SFP (5.x) > Extended Modes > Averager mode

Averager Mode (SFP 5.x)

By selecting the mode 'Averager' in the SFP Collapsed Soft Front Panel control panel, the instrument and the SFP will be reconfigured to operate in that mode.

The SFP will automatically open the Averager control panel on the left hand side.

The Averager settings will appear for the currently selected channel. If a different channel is desired, select it in the 'Instruments' window on the top right of the SFP. Also note that when the Averager mode is active, that certain controls on the 'D1 Control' panel on the right will be disabled, such as 'Nbr Segments, Banks Nbr, etc.

Averager Control Panel

Background

This features allows the background noise to be acquired and subtracted from the acquisition if desired. Once a background measurement has been made it will be possible to select the 'Subtract' radio button, which will subtract the background noise from all subsequent averaging measurements.

By pressing the 'New' button a dialog will open, asking you to disconnect any input before pressing 'Manual' background measurement.

Note that an external trigger is required.

Options

Trig Always : When selected a trigger will occur at the TR OUT connector for every trigger event. This will occur even if the digitizer id not currently acquiring data.

Invert Data : The acquired data may be inverted if desired.

Sync On TrigOut Sync : When selected the TR OUT is synchronized to the digitizer clock.

Timebase

Nbr Segments : The number of segments in a sequence acquisition.

Nbr Samples : The number of samples that will be acquired in each segment.

Nbr Waveform : The number of waveforms to average in each segment.

Start Delay : The delay from the trigger position to the start of the acquisition in samples. Range is 0 to 227.

Stop Delay : The delay from the trigger position to the end of the acquisition in samples. Range is 0 to 227.

Dithering

‘Dithering’ an ADC Collapsed Analog to Digital Converter is a well-known technique to increase the linearity performance of an ADC. A low frequency pseudo random binary sequence (PRBS Collapsed Pseudo Random Binary Sequence:- Is a binary PN (Pseudo-Noise) signal. The sequence of binary 1’s and 0’s exhibits certain randomness and autocorrelation properties.) noise source is used as the dither signal.

Dithering the ADC can make dramatic improvements in the ADC’s harmonic distortion performance at the expense of slightly reduced full scale range, as the ADC must accommodate the sum of signal plus dither in it’s full scale range.

Noise Suppression

The Digitizer provide a noise suppression feature which makes it possible to enhance rarely occurring events, which, under most circumstances, disappear in signals with base line noise. Only data points that exceed a user-defined threshold are added to the result. This considerably reduces the noise contribution and the signal-to-noise ratio is enhanced.

Threshold : The threshold value in Volts. Data points below this threshold will be suppressed to zero.

Noise Base : When enabled baseline subtraction will occur, and is applied to the data values that are over the threshold. This can be used to greatly reduce the occurrence of data overflows. Therefore many more events can be accumulated before running the risk of data overflow. In Volts.

Time Stamps

Clicking on the Time Stamps button will open a separate window which shows the segment time stamp information. The information shown may vary depending on the connected module (U1084A is shown below).

The first column shows the segment index number.

The second column is a set of status flags. Please refer to the documentation on your specific model for further details.

The third column shows the time information in ps. This will be either the time since the module has been restarted / reset, or the start of the acquisition depending on the model being used. This counter may also be reset manually by software, please refer to the Programmers Guide / Reference for more detail (AcqrsD1_acquireEX function)

The last column shows the difference in ps from the start of the previous segment to the start of the current segment.


SFP Control Panel

You are here: MD1 SFP (5.x) > Extended Modes > Peak TDC mode

Peak TDC Mode (SFP 5.x)

By selecting the mode 'Peak TDC' in the SFP Collapsed Soft Front Panel control panel, the instrument and the SFP will be reconfigured to operate in that mode.

The SFP will automatically open the Peak TDC control panel on the left hand side.

The Peak TDC settings will appear for the currently selected channel. If a different channel is desired, select it in the 'Instruments' window on the top right of the SFP. Also note that when the Peak TDC mode is active, that certain controls on the 'D1 Control' panel on the right will be disabled, such as 'Nbr Segments, Banks Nbr, etc.

Peak TDC Control Panel

Options

Trig Always : When selected a trigger will occur at the TR OUT connector for every trigger event. This will occur even if the digitizer id not currently acquiring data.

Invert Data : The acquired data may be inverted if desired. This is particularly useful if your waveform has negative going peaks, since the digitizer has be optimized to operate on positive going peak data.

Sync On TrigOut Sync : When selected the TR OUT is synchronized to the digitizer clock.

Timebase

Nbr Segments : The number of segments in a sequence acquisition. In Peak TDC mode this is always '1'.

Nbr Samples : The number of samples that will be acquired.

Nbr Waveform : The number of waveforms that will be acquired. Since the Peak TDC histogram will be derived from the average of these waveforms, a greater number will provide an improved average.

Start Delay : The delay from the trigger position to the start of the acquisition in samples. Range is 0 to 227.

Stop Delay : The delay from the trigger position to the end of the acquisition in samples. Range is 0 to 227.

Peak detection

These values determine the amount by which 2 consecutive samples must differ to be considered as new peak, allowing rejection of noise as required. Units are Volts.

DetectUp : The minimum difference in a rising direction required to trigger peak detection.

DetectDown : The minimum difference in a falling direction required to trigger peak detection.

Histogram

Increment By One : The resulting histogram will be incremented by 1 on each occurance of a peak at that time offset, thus providing a count of the number of peaks.

Increment By Value : The resulting histogram will be incremented by the amplitude value of the peak on each occurance of a peak at that time offset, resulting in a sum of the amplitudes of the peaks.

Interp. : Enables interpolation of the amplitude and time values of the digitized data.

Horiz. Reso. : Determines the interpolation applied to the horizontal axis (time)data (1/1, 1/2, 1/4, 1/8, 1/16).

Vert. Reso. : Determines the interpolation applied to the vertical axis (amplitude) data (1/1, 1/2, 1/4, 1/8, 1/16).

Noise Suppression

Noise Base : An absolute value in Volts which will be subtracted from each data value. This may be used to reduce the effects of noise on the acquired peak values.

Time Stamps

Clicking on the Time Stamps button will open a separate window which shows the segment time stamp information.

The first column shows the segment index number. In PeakTDC mode there will only ever be one segment (0).

The second column shows time stamp of the start of the segment (ps). This will be either the time since the module has been restarted / reset, or the start of the acquisition depending on the model being used. This counter may also be reset manually by software, please refer to the Programmers Reference for more detail (AcqrsD1_acquireEx function).

Using the SFP to make Peak TDC measurements

The example shown below was taken The screen capture shown below has been taken with a 250 MHz sinusoidal input. The source waveform can be see with sample points shown as dots. A horizontal zoom value of x 200 has been used.

The histogram is shown at the base of the display, which in this case is averaged over 1024 waveforms. Interpolation has been enabled, which improves the resolution of the peak detection.


Utilities

This section describes supplied programs which may be used to configure various aspects of your instruments.

GeoMap

EEPROM Programming Utility


SFP GeoMap

You are here: Utilities > GeoMap

Running the Geographic Mapper Application

Who needs a Geographical Map of Modules?

The Geographic Mapper application gives the user the possibility of telling the Agilent driver crucial details of the physical position of modules when this information cannot be deduced directly. It allows the driver to correctly adjust trigger and clock delays between the different modules of an AS bus multi-Instrument and arrange the modules in an intuitive order.

The Geographic Mapper application has been implemented as a Wizard with the goal of learning the physical position of each module of a multi-bus system. The driver already knows the logical Bus and logical Slot numbers of each unit present. However, because of varying conventions for the compactPCI slot arrangement on a bus, this is not sufficient to determine the physical position. Furthermore, with the aid of the map, the software can ensure that the modules of an Auto-defined multi-Instrument will be ordered to correspond to increasing physical slot number.

The unusual slot numbering convention of the CC121 is documented in the CC121 CompactPCI Crate User Manual. The CC10X crates have a simpler slot numbering convention that the Agilent driver already takes into account. CompactPCI Crates from other manufacturers represent an unknown element.

The Geographic Mapper is of use for some AS bus systems in CC121 crates and, perhaps, crates from other manufacturers. CC121 crate configurations with both an Agilent digitizer module in one of the last 7 slots and with the PC running under Windows 2000, NT, or XP will not need the Geographic Mapper. Users who do not need Geographic Mapper do not need to read this chapter any further.

When should the Geographic Mapper Application be used

The application needs to be used whenever the bus or slot configuration of the system changes in a fundamental way. The most obvious trouble symptom is that an expected multi-Instrument was not found. Alternatively the driver can issue error messages that the SFP Collapsed Soft Front Panel application and other programs will see.
Among them are:

Error | Meaning
ACQIRIS_ERROR_MODULES_NOT_CONTIGUOUS | Modules are not contiguous in AS bus combination
ACQIRIS_ERROR_MODULES_NOT_ON_SAME_BUS | AS bus Candidate Modules not on same bus
ACQIRIS_ERROR_INVALID_GEOMAP_FILE | AcqGeo.map' file is invalid or corrupted

In all of these cases the Geographic Mapper application should be run to ensure that the map file is up to date.

If desired the Geographic Mapper application will generate a default configuration in which it allows the driver to make all of the choices. This is done by specifying "None (Disable GeoMap)" as the desired configuration in "Step1: Crate count" of the application.

How to run Geographic Mapper

After software installation you will find Geographic Mapper in the following location:

C:\Program Files\Agilent\MD1\bin\GeoMapper.exe (on 32-bit Windows OS)

C:\Program Files (x86)\Agilent\MD1\bin\GeoMapper.exe (on 64-bit Windows OS)

After being started the program will learn about the supported Agilent digitizer devices present and then show a screen like the one below:

The choice of the number of crates ranges from None up to the number of bus segments that the driver has found containing digitizer modules. If you choose None and save the resulting AqGeo.map file the system will behave in its natural way without any additional user provided information. If you want to give the driver information on the physical position of modules you should select the appropriate number of crates. If the number of crates does not correspond to your expectations you may have hardware problems (unpowered, broken, or badly cabled crates or modules).

The next step is to associate each bus segment with a physical crate. The menu to do this is shown below:

Selecting a row will cause all of the LED's of modules in that Bus to be turned on RED. This should make it easy to identify which crate the modules are in.

The third step is to specify the number of slots in each crate. This is shown below:

The 4th step consists of arranging the modules of each crate into the correct order. The menu shown below is one in which all of this work has been done for the modules of a fully populated CC121. Selecting a position will cause a module to have its red LED turned on. Then the Up and Down buttons will allow you to move the module in question to the desired "Position in crate". For cPCI crates from other manufacturers physical position increases from left to right when looking at the front panels of the digitizers.

The final step is to actuate the Save button so that the final configuration will be memorized and made available to the driver.

The Geographic Mapper application will always work with the standard AqGeo.map file. If you need to have several such files corresponding to different configurations it is up to you to either rename the files or transfer them to other directories in an appropriate manner.


SFP Command Line Switches

You are here: Utilities > EEPROM Programming Utility

Agilent Acqiris EEPROM / CPLD-FPGA Programming Utility

The EEPROM programming utility (AcqEepromProg.exe) is used to load either instrument options or firmware to your Agilent instrument.

Syntax:

AcqEepromProg.exe [-eeprom | -maincpld] [sn:<serial>] [efw:<eepromNumber>] [<filename>]

All of the listed switches are optional, please see the notes below for details.

Filename conventions

Files with the ".epr" extension contain instrument options and are generated by Agilent for a specific instrument serial number, they may not be used on instruments with other serial numbers. These files must be loaded to the device Option EEPROM.

Files with the ".vme" or ".svf" extension contain instrument operating firmware generated by Agilent, but may be used on any instrument of the appropriate model type. These files must be loaded into the instrument Firmware EEPROM or CPLD

If the filename or path contains one or more spaces then the string must be enclosed in double quotes (".."), as shown in the examples below.

It is not possible for the utility to check that the file is suitable for the FPGA Collapsed Field Programmable Gate Array / CPLD of the specified device, so please use this mode carefully. Programming a device with the incorrect firmware file may render it unusable.
However, as long as the device has not yet been re-booted (power cycled) it will be possible to re-write the correct file. Conversely, if the device has been incorrectly programmed and subsequently re-booted, it will be necessary to return it to an Agilent Service Center for recovery.

Available Switches
Switch | Function
-eeprom | Specifies that the firmware file should be loaded into the device Option EEPROM
-maincpld | Specifies that the firmware should be loaded into the main Firmware EEPROM / CPLD of the instrument
efw:<eepromNumber> | Specifies the Firmware EEPROM number for the firmware to be loaded into. Valid values are '0' or '1'. The value '1' is only supported by the U1084A instrument, and only valid when preceded by -maincpld
sn:<SerialNumber> | Specifies the module to program based on it's serial number. Useful where multiple modules are connected to the host.
Usage examples:
AcqEepromProg.exe

Opens a file dialog box, then loads the content of the chosen file into the EEPROM/CPLD-FPGA of a defined device. If the chosen file has a ".epr" extension, the application will load the file into the Options EEPROM of the device that matches the serial number in the file.

If the chosen file has a ".vme" or ".svf" extension, the application will prompt the user for a target device when there are several devices connected. If there is only one device, that device will be chosen without prompting.

AcqEepromProg.exe <filename>

(e.g: AcqEepromProg.exe DC271_CH12345.epr)

Loads the content of the file 'DC271_CH12345.epr' into the Options EEPROM of the specified device. If there is only one device, that device will be chosen without prompting. When several devices are connected, the application will prompt the user for a target device.

AcqEepromProg.exe -eeprom <filename>

(e.g: AcqEepromProg.exe -eeprom U1084A_CH12345.epr)

Loads the content of the file 'filename' into the Options EEPROM of the specified device. The serial number in the file is used to find the proper target device. The serial number encoded in the options file must match the serial number of the target device.

AcqEepromProg.exe -maincpld <filename>

(e.g: AcqEepromProg.exe -maincpld "C:\Program Files\IVI Foundation\IVI\Drivers\AgMD1\Firmware\U1084_dig_02380181.vme")

Loads the content of the file 'filename' into the main Firmware EEPROM / CPLD of the specified device. If there is only one device, that device will be chosen without prompting. When several devices are connected, the application will prompt the user for a target device.

AcqEepromProg.exe -maincpld sn:<serial> <filename>

(e.g: AcqEepromProg.exe -maincpld sn:12345 "C:\Program Files\IVI Foundation\IVI\Drivers\AgMD1\Firmware\m9202_ddc_020000381.vme")

Loads the content of the file 'filename' into the main Firmware EEPROM / CPLD of the specified device.

AcqEepromProg.exe -maincpld dev:<number> -efw:<eepromNumber> <filename>

(e.g: AcqEepromProg.exe -maincpld dev:1 efw:1 "C:\Program Files\IVI Foundation\IVI\Drivers\AgMD1\Firmware\U1084_dig_02380181.vme")

Loads the content of the file 'filename' into the Firmware EEPROM specified by 'eepromNumber'. The option 'efw' only supports values 0 or 1 and the value 1 is only supported on U1084A instruments.

Requires:
  • QtCore4.dll
  • Qt3Support4.dll
  • QtGui4.dll
  • AgMD1Fundamental.dll
Licensing:

The compiled code used to achieve the 'AcqEepromProg.exe' functionalities are provided in source code from the Lattice 'ispVM(r) Software' package. The use of this compiled source code is subject to conditions, as explained in the section 2.C of the 'Lattice Standard License Agreement.txt' file, which is an integral part of this package.

Copyright (C) 2004, 2005-2012 Agilent Technologies, Inc.


Conducting a Self Test

The purpose of this self-test is to verify that the unit functions correctly, in that it can self-calibrate and communicate with the processor controlling it.

When using SFP 5.x

SelfTest, Calibrate, Reread

When using SFP 1.7

When the SFP Collapsed Soft Front Panel is launched it will initiate a self-calibration which takes a little over 1 minute.

Verify that no error is shown in the lower left hand log area. The image below shows the desired result.


DDC Measurement Tips

This section is intended to provide the user with information on how to configure a DDC based acquisition to obtain best results, and reduce noise or other unwanted effects.

Reducing Noise

In many applications, the noise floor (of around -95 dBm Collapsed Power measurement relative to 1 mW, P (dBm) = 10log10(1000.P)) will not present any problems for measurements. However if in a particular case the user wishes to improve the SNR Collapsed Signal to Noise Ratio - the ratio of the power of the full scale signal and the power of the noise. SNR=10log10(Pfs/Pn) there are a few techniques that may be employed.

The capture immediately below has been taken with the same input signal at 345.034 MHz,-2 dBm, with the full data bandwidth (250 MHz), 50 K samples and dithering enabled. Compare this with the captures in the examples below in 1. and 2.

1. Reduce and shift the bandwidth

If the signal that you wish to monitor can be acquired using a narrower bandwidth than the open bandwidth of the digitizer, this should be done, as it will have beneficial effects on the signal to noise ratio of the acquired data.

This may be achieved by reducing the Data Bandwidth and shifting the center frequency of the measurement as shown below. The capture below has been made on the same input signal as in the previous example above, but with a Data Bandwidth setting of 50 MHz, and a Frequency Shift setting of 156.250 MHz. One can see that signal to noise ratio is much improved. By reducing the bandwidth by a given factor, the bandwidth and thus noise power in each bin is correspondingly reduced.

2. Increase the number of samples

Another method of further improving the signal to noise ratio is to increase the number of samples in the acquisition. This has the effect of decreasing the noise power in each bin of the displayed data, and therefore reducing the noise floor (whilst the integrated noise power remains the same).

The capture below has been made with the same input signal as used in the examples above, but with the number of samples increased from 50 K to 1 M.

Dithering (M9202A only)

Dithering is a technique which employs an out of band signal to improve both the linearity and harmonic distortion performance of the ADC Collapsed Analog to Digital Converter.

The capture below has been taken with an input signal of 345.034 MHz,-2 dBm, and the Dithering function disabled.

Whereas the capture shown below has the Dithering function enabled (set to range 15). We can see in comparison with the capture above, that with the Dithering function enabled that there is a significant reduction in spurious peaks, leaving primarily the interlace artifacts described above.

ADC Interleave Artifacts (M9202A only)

This topic applies only to the M9202A which has a fixed clock frequency of 500 MHz.

Since the digitizer uses a clock frequency of 500 MHz (sample clock /4) for the operation of the Analog to Digital Converters (ADC's), there may be an internally generated residual present at this frequency and spurious products at frequencies reflected about 500 MHz. Both of these effects are due to the interleaving technique used in the ADC.

The capture shown below has been taken with no input signal, 50 K complex samples and full data bandwidth. You will see the internal residual frequency at 500 MHz present on the capture.

If possible, it is recommended to use an IF which avoids these 500 MHz artifacts.


Resetting the Module to Default Factory Settings

You are here: How To ... > Perform a Field Calibration

Calibrating an Instrument

How do i perform a Field Calibration of an Instrument?

Using the SFP 5.x

From the SFP Collapsed Soft Front Panel control panel select the [image] option. SelfTest, Calibrate, Reread

Using the SFP 1.7

From the SFP Utility menu select the desired calibrate option.


FAQs

Q. What is the primary purpose of the soft front panel GUI for the Agilent MD1 Digitizers?

A. The primary purpose of the soft front panel GUI is for instrument verification and troubleshooting. It is not intended to perform VSA measurements.

Q. What is Coherent Sampling

A. Coherent Sampling refers to the relationship between the input frequency, sampling frequency, number of cycles in the sampled set and the number of samples. With coherent sampling one is assured that the signal power in an FFT is contained within one FFT bin (assuming a single input tone).

The condition for coherent sampling is given by:

For example if we have Msamples = 211, and fs = 100e6, and we expect and input frequency close to fs/2, let's say fin = 44 MHz,

Then Ncycles = 901.12 which is close to an integer. We could therefore round down to Ncycles = 901 and we would get fin = 43.994140625 Mhz, which is an input frequency that satisfies coherent sampling.

The integer number should be chosen carefully. We have three possible types of integers, even, odd, and prime. Even is not a good idea since we would hit the same code every Msamples, where M can be much less than N. Odd is a better idea since it takes longer to hit the same code. According to some sources a prime number of cycles is the best (with the exception of the prime 2) because it takes a long time before the same code repeats.


Related Documentation

To access documentation related to the product, use one of the following methods:

  • If you have run the product4 software installer on your PC, the related product documentation will have been installed to your hard drive. Click the links below to open the related document.
  • The documentation listed below is also available directly from the product CD, or for the very latest version visit the product page on the Agilent Technologies website.

Document

Links
32-bit OS 64-bit OS

Startup Guide *

Includes procedures to help you to unpack, inspect, install (software and hardware), perform instrument connections, verify operability, and troubleshoot your product. Also includes an annotated block diagram.

M9202A

M9210A

M9211A

M9703A

M9202A

M9210A

M9211A

M9703A

Data Sheet *

In addition to a detailed product introduction, the data sheet supplies full product specifications.

M9202A

M9210A

M9211A

M9703A

M9202A

M9210A

M9211A

M9703A

LabVIEW Driver reference (help system) *

Provides detailed documentation of the LabVIEW G driver API functions.

AgMD1

AgMD1

IVI Driver reference (help system) **

Provides detailed documentation of the IVI-COM and IVI-C driver API functions, as well as information to help you get started with using the IVI drivers in your application development environment.

AgMD1

AgMD1

Product specific web pages

Provides detailed documentation of the IVI-COM and IVI-C driver API functions, as well as information to help you get started with using the IVI drivers in your application development environment.

M9202A PXI Express 12-bit Wideband IF Digitizer

M9210A PXI-H 10-bit Digitizing Scope

M9211A PXI-H 10-bit UWB IF Digitizer

M9703A AXIe Digitizer

U10xx - PCI / PCI Express / CompactPCI / VME Products

* If these links do not work, you can find these items at:
__ Start > Programs > Agilent > MD1

** If this link does not work, you can find this item at:
__ Start > Programs > Agilent IVI Drivers > AgMD1

  • To understand the available user documentation in context to your workflow, click here.
  • To find the very latest versions of the user documentation, go to the product web site and download the files from the Manuals support page:


You are here: Appendices > Documentation Access

Documentation Access


TIP: Help Search Techniques

You are here: Appendices > TIP: Help Search Techniques

TIP: Help Search Tricks

In the help system, a basic search of topics consists of the word or phrase that you want to find. You can, however, improve your search results by using wildcard expressions, nested expressions, Boolean operators, and searching similar word matches, previous results, and topic titles only.

Performing a Basic Full-Text Search

  1. In the navigation pane, click the Search tab and then type the word or phrase that you want to find. Use the right-arrow button to add Boolean operators to your search.
  • Click List Topics.Your search will return the first 500 hits. If you want to sort the topic list, click Title, Location, or Rank.
  • Highlight the topic that you want, and then click Display You can also display any topic by double-clicking it.

Refining a Your Search

You can refine a basic search by using wildcard expressions, nested expressions, and Boolean operators. You can also search only on the previous results list, request similar word matches, or search only the titles of topics in the table of contents.

  • To refine a search to include just the last group of topics you searched, select the Search previous results check box.
  • To match similar spellings in a full-text search, select the Match similar words check box.

When Match similar words is selected, the viewer matches minor grammatical variations of the word or phrase you entered, as well as the word or phrase itself. For example, if you entered "test" and selected this box, the Library viewer would find "test", "tests", and "testing". This option is independent of other options or syntax. If you do a titles-only search, variations in titles will be matched. If you use quotes (or any other query operator) any variation of the word can appear; for example, "installed module" will also match "installing module".

  • To search for words in document titles only, select the Search titles only check box.

Search Syntax

The basic rules for formulating queries are as follows:

  • Searches are not case-sensitive, so you can type your search in uppercase or lowercase characters.
  • You can search for any combination of letters (a–z) and numbers (0–9). You cannot search for single letters (a, b, c, etc.) and the following reserved words: an, and, as, at, be, but, by, do, for, from, have, he, in, it, not, of, on, or, she, that, the, there, they, this, to, we, which, with, you.
  • Punctuation marks such as the period (.), colon (:), semicolon (;), comma (,), and hyphen (-) are ignored during a search.
  • Group the elements of your search using "double quotes" or (parentheses). You cannot search for quotation marks.

If you are searching for a filename with an extension, you should group the entire string in double quotes ("filename.ext"). Otherwise, the search will treat the period as an OR operator.

Words, Phrases, and Wildcards

You can search for words or phrases and use wildcard expressions. The table below describes the results of these different kinds of searches.

Search for | Example | Results
Single word | Calibrate | Topics that contain the word "calibrate." (You will also find its grammatical variations, such as "calibration" and"calibrated".)
Phrase | "saved configuration" -or- 'saved configuration' | Topics that contain the literal phrase "saved configuration" and all its grammatical variations. Without the quotation marks, the query is equivalent to specifying a saved AND configuration, which will find topics containing both of the individual words, instead of the phrase.
Wildcard expressions | Meas* | Topics that contain the terms "Meas," "measure," "measurement," and so on. The asterisk cannot be the only character in the words.
 | 89?00 | Topics that contain the terms "89500," "89600," "89700," and so on. The question mark cannot be the only character in the term.
 | *936* | Topics that contain the terms "936." "45936,""M9360A," "93600" and so on.
 | *93 | Topics that contain the terms "293," "393," "x93," "ABCD393," "8093," and so on.

Operators: AND, OR, NOT, and NEAR

The AND, OR, NOT, and NEAR operators allow you to refine your search. The following table shows how to use each of these operators.

Search for | Example | Results
Both terms in the same topic | performance AND verification -or- performance & verification | Topics containing both the words "performance" and "verification."
Either term in a topic | front OR panel -or- front | panel | Topics containing either the word "front" or the word "panel."
The first term without the second term | system NOT requirements -or_ system ! requirements | Topics containing the word "system," but not the word "requirements."
Both terms in the same topic, close together | install NEAR hardware | Topics containing the word "install" within eight words of the word "hardware."

Rules for Nested Expressions

The basic rules for searching topics using nested expressions are as follows:

  • You can use parentheses to nest expressions within a query. The expressions in parentheses are evaluated before the rest of the query.
  • If a query does not contain a nested expression, it is evaluated from left to right. For example, "Instrument NOT system OR calibration" finds topics containing the term "instrument" without the term "system", or topics containing the term "instrument" and not "calibration". (On the other hand, "instrument NOT (system OR calibration)" finds topics containing the term "instrument" without either of the terms "system" or "calibration".)
  • Nesting allows you to create more complex search expressions. For example, "instrument AND ((system OR calibration) NEAR performance)" finds topics containing the term "instrument" along with the terms "system" and "performance" close together, or containing "instrument" along with the terms "calibration" and "performance" close together.
  • You cannot nest expressions more than five levels deep.


Full Product Family Listing & Cross-reference tables

The Agilent MD1 driver and the SFP Collapsed Soft Front Panel application support the entire range of modular digitizer products. This range is listed below by their form factors. Where applicable, the previous Acqiris model number is also shown for reference.

PXI Express High-Speed Digitizers

This product line is composed of Agilent PXI Express new generation of high-speed digitizers.

These are PXI Express compliant, using either a PXIe or PXIe Hybrid slot. Designed to benefit from fast data interfaces, the products can be integrated with other test and automation modules in PXIe and Hybrid chassis slots. The PXI format offers high performance in a small, rugged package. It is an ideal deployment platform for many automated test systems

Agilent Model Number | Model Name
M9202A | PXI Express 12-bit Wideband IF Digitizer

PXI Hybrid High-Speed Digitizers

This product line is composed of Agilent PXI Hybrid high-speed digitizers.

These are PXI compliant digitizers, using either a cPCI (J/J2), PXI-1 or PXIe Hybrid slot. The PXI format offers high performance in a small, rugged package. It is an ideal deployment platform for many automated test systems.

Agilent Model Number | Model Name
M9210A | 10-bit Digitizing Scope
M9211A | 10-bit UWB IF Digitizer

AXIe Digitizers

This product line is composed of Agilent Technologies new generation of AXIe Digitizers.

The AXIe format offers high performance in a highly scalable package, offering at least twice the channel density of currently available comparable solutions. Making it ideally suited to large scale experiments in applied physics, such as particle physics, nuclear fusion, hydrodynamics or microwave radio astronomy.

Agilent Model Number | Model Name
M9703A | AXIe 12-bit Wideband Digitizer

U10xx - PCI / PCI Express / CompactPCI / VME Products

Agilent Technologies Inc. acquired Acqiris SA and its product lines in December 2006. Use the tables below to cross reference the Acqiris model name with the newer Agilent model numbers.

8 bit Digitizer Products
Agilent Model Number | Acqiris Model Name
U1061A-001-F50 | DC135
U1061A-001-FHZ | DC135HZ
U1061A-002-F50 | DC140
U1061A-002-FHZ | DC140HZ
U1063A-001 | DC265
U1063A-002 | DC270
U1064A-001-F50 | DC211
U1064A-001-FHZ | DC211A
U1064A-002-F50 | DC241
U1064A-002-FHZ | DC241A
U1064A-004-F50 | DC271
U1064A-004-FHZ | DC271A
U1067A-001 | DP105
U1067A-002 | DP110
U1068A-001 | DP210
U1068A-002 | DP211
U1069A-001 | DP214
U1069A-002 | DP235
U1069A-003 | DP240
U1071A-001 | DP1400
U1071A-001-F50 | DP1400
U1071A-001-FHZ | U1071AHZ1
U1071A-002-F50 | U1071A002
U1071A-002-FHZ | U1071AHZ2
U1071A-004-F50 | U1071A004
U1071A-004-FHZ | U1071AHZ4
U1084A | -
U1091AC10 | DC110
U1091AD06/07 | DP106
U1091A-003 | DP212
10 bit Digitizer Products
Agilent Model Number | Acqiris Model Name
U1062A-001 | DC122
U1062A-002-2F5 | DC152
U1062A-002-2FZ | DC152HZ
U1065A-001-FHF | DC222HF
U1065A-001-F50 | DC222
U1065A-002-F50 | DC252
U1065A-002-FHF | DC252HF
U1065A-004-F50 | DC282
U1065A-004-FHZ | DC282HZ
12 bit Digitizer Products
Agilent Model Number | Acqiris Model Name
n/a | DC436
U1066A-002 | DC438
U1066A-001 | DC440
U1070A-003 | DP306
U1070A-002 | DP308
U1070A-001 | DP310
Analyzers and Averagers
Agilent Model Number | Acqiris Model Name
U1080A-001 | AC240
U1080A-002 | SC240
U1081A-001 | AP100
U1081A-002 | AP101
U1081A-003 | AP200
U1081A-004 | AP201
U1082A-001 | AP240
U1082A-002 | AP235
U1091AAC1 | AC210
U1091ASC1 | SC210

Product Family Nomenclature

Certain features are common to several different modules. For improved readability we have defined the following families:

Family | Member Products
8-bit-FAMILY | U1061A, U1064A, U1069A, U1084A, DC135, DC135HZ, DC140, DC140HZ, DC211, DC211A, DC241, DC241A, DC271, DC271A, DC271AR, DP214, DP235, DP240
10-bit-FAMILY | M9210A, M9211A, U1062A, U1065A, DC122, DC152, DC222, DC252, DC282
12-bit-FAMILY | U1066A, U1070A, DC440, DC438, DC436, DP310, DP308, DP306
U1071A-FAMILY | all U1071A variants, DP1400, U1091AD28


Theory of Operation

Digitizers Overview

The Agilent digitizing products are available in the following popular industry standards.

PXI Express

The M9202A is a 12-bit Wideband IF digitizer packaged in a PXI Express compliant module. It is equipped with a powerful Xilinx Virtex-6 FPGA Collapsed Field Programmable Gate Array which is used to implement a Digital Down Converter (DDC). It can achieve effective transfer speeds to a host processor approaching 450 MB/s.

PXI Hybrid

The M9210A Digitizing Scope and the M9211A UWB IF digitizer are one-slot 3U PXI Hybrid modules that plug into an appropriate PXI-H crate. They can achieve effective transfer speeds to a host processor up to 100 MB/s.

AXIe (ATCA)

The M9703A AXIe Digitizer is an AXIe and AdvancedTCA compliant instrument, which allows for very high data transfer rates coupled with excellent channel density.

PCIe

The U1084A series Digitizers are PCI Express modules that plug directly into any vacant long PCIe slot in a PC. They are fully programmable over the PCIe bus and deliver 4 GS/ real-time peak histogram performance. Signals on 1 channel with an Analog bandwidth limit at 1.5 GHz (Typical 1.8 GHz) can be analyzed at sampling rates up to 4GS/s. Peak histogram Data can be transferred to a host processor over the PCIe bus at speeds up to 520Mbytes/s.

PCI

The U1067A, U1068A, U1091A, U1071A and DP series digitizers are PCI modules that plug directly into a vacant PCI slot in a PC. The PCI Bus is a well-defined industry standard. The U1071A-FAMILY can use the 32-bit PCI bus at 66 MHz thus allowing transfer rates up to 200 MB/s. The other products use the bus at 33 MHz giving speeds up to 100 MB/s.

Compact PCI / PXI

The U1061A, U1063A, U1064A, U1065A, and DC series products are 3U and 6U CompactPCI/PXI compliant modules and require an appropriate CompactPCI crate. The U1065A 6U units (DC222, DC252, and DC282) can operate at 64-bit − 66 MHz with peak transfer speeds approaching 500 MB/s. All other units use 32-bit − 33 MHz and are limited to 100 MB/s.

The digitizers are all fully programmable over the PXI/PCI/AXIe bus and deliver oscilloscope-like performance. Data captured by the digitizers can be transferred to a host processor, either in the PC, in the crate, or interfaced to the crate.

Agilent Digitizer Products are designed to provide superior measurement precision and accuracy. Key acquisition specifications (such as DC accuracy, integral and differential non-linearity) have been optimized to deliver maximum measurement fidelity. Careful circuit layout, custom IC’s and special packaging techniques have all been employed to reduce overall system noise. The use of custom IC’s also dramatically reduces the total number of discrete components required. This has tremendous benefits on reliability and also allows the modules to use a minimal amount of power.

For complete technical specifications concerning your particular digitizer please refer to the product’s Specifications & Characteristics. In addition, we maintain up-to-date versions of all product data sheets on our web site (www.agilent.com/find/modular and www.agilent.com/find/acqiris). The data sheets are available in pdf format and are best viewed using Adobe Acrobat software. If you have trouble accessing our web site, or viewing the data sheets, please contact your nearest sales office.


Programming Hints

This section is intended to provide useful programming information for the supplied drivers.


Programming Information

This section provides general programming advice and specific information regarding the use of the Agilent MD1 drivers.

Agilent supply IVI-COM, IVI-C, and LabVIEW G VI drivers on the CDROM. These drivers allow you to develop your own custom applications in Visual Studio, MATLAB, LabVIEW, and other programming environments.